C*********************************************************************
C
C  Source File Name = sqldact.f
C
C  (C) COPYRIGHT International Business Machines Corp. 1993, 1999
C  All Rights Reserved
C  Licensed Materials - Property of IBM
C
C  US Government Users Restricted Rights - Use, duplication or
C  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
C
C  Function = Defining:
C               Constants defining the SQLDA structure
C
C*********************************************************************

       integer*2   sqlda_header_sz
       parameter ( sqlda_header_sz = 16 )

       integer*2   sqlda_sqldaid_ofs
       parameter ( sqlda_sqldaid_ofs = 1 )

       integer*2   sqlda_sqldabc_ofs
       parameter ( sqlda_sqldabc_ofs = 9 )

       integer*2   sqlda_sqln_ofs
       parameter ( sqlda_sqln_ofs = 13 )

       integer*2   sqlda_sqld_ofs
       parameter ( sqlda_sqld_ofs = 15 )

       integer*2   sqlvar_struct_sz
       parameter ( sqlvar_struct_sz = 44 )

       integer*2   sqlvar_type_ofs
       parameter ( sqlvar_type_ofs = 1 )

       integer*2   sqlvar_len_ofs
       parameter ( sqlvar_len_ofs = 3 )

       integer*2   sqlvar_data_ofs
       parameter ( sqlvar_data_ofs = 5 )

       integer*2   sqlvar_ind_ofs
       parameter ( sqlvar_ind_ofs = 9 )

       integer*2   sqlvar_name_length_ofs
       parameter ( sqlvar_name_length_ofs = 13 )

       integer*2   sqlvar_name_data_ofs
       parameter ( sqlvar_name_data_ofs = 15 )

       integer*2   sqlvar2_struct_sz
       parameter ( sqlvar2_struct_sz = 44 )

       integer*2   sqlvar2_longlen_ofs
       parameter ( sqlvar2_longlen_ofs = 1 )

       integer*2   sqlvar2_sqlflag4_ofs
       parameter ( sqlvar2_sqlflag4_ofs = 8 )

       integer*2   sqlvar2_datalen_ofs
       parameter ( sqlvar2_datalen_ofs = 9 )

       integer*2   sqlvar2_dtype_length_ofs
       parameter ( sqlvar2_dtype_length_ofs = 13 )

       integer*2   sqlvar2_dtype_data_ofs
       parameter ( sqlvar2_dtype_data_ofs = 15 )
