C********************************************************************
C
C  Source File Name = SQLCA_92.F  %I%
C  %W%
C
C  (C) COPYRIGHT International Business Machines Corp. 1988, 1997
C  All Rights Reserved
C  Licensed Materials - Property of IBM
C
C  US Government Users Restricted Rights - Use, duplication or
C  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
C
C  Function = Defining:
C               SQLCA structure for standalone SQLCODE/SQLSTATE
C
C********************************************************************

C   SQL Communication Area - SQLCA

      character       sqlca(136)

C                                       Eyecatcher = 'SQLCA   '
      character*8     sqlcaid
C                                       SQLCA size in bytes = 136
      integer*4       sqlcabc
C                                       SQL return code
      integer*4       sqlcade
C                                       Length for SQLERRMC
      integer*2       sqlerrml
C                                       Error message tokens
      character*70    sqlerrmc
C                                       Diagnostic information
      character*8     sqlerrp
C                                       Diagnostic information
      integer*4       sqlerrd(6)
C                                       Warning flags
      character*11    sqlwarn
C                                       SQLSTATE
      character*5     sqlstat

C   Define the elements to be in contiguous - order.

      equivalence ( sqlca (  1), sqlcaid  )
      equivalence ( sqlca (  9), sqlcabc  )
      equivalence ( sqlca ( 13), sqlcade  )
      equivalence ( sqlca ( 17), sqlerrml )
      equivalence ( sqlca ( 19), sqlerrmc )
      equivalence ( sqlca ( 89), sqlerrp  )
      equivalence ( sqlca ( 97), sqlerrd  )
      equivalence ( sqlca (121), sqlwarn  )
      equivalence ( sqlca (132), sqlstat  )
