C********************************************************************
C
C  Source File Name = SQLCA_CS.F  %I%
C  %W%
C
C  (C) COPYRIGHT International Business Machines Corp. 1988, 1997
C  All Rights Reserved
C  Licensed Materials - Property of IBM
C
C  US Government Users Restricted Rights - Use, duplication or
C  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
C
C  Function = Defining:
C               SQLCA structure in SAA compatibility mode.
C
C********************************************************************

C   SQL Communication Area - SQLCA

      character       sqlca(136)

C                                       Eyecatcher = 'SQLCA   '
      character*8     sqlcaid
C                                       SQLCA size in bytes = 136
      integer*4       sqlcabc
C                                       SQL return code
      integer*4       sqlcod, sqlcode
C                                       Length for SQLERRMC
      integer*2       sqltxl, sqlerrml
C                                       Error message tokens
      character*70    sqltxt, sqlerrmc
C                                       Diagnostic information
      character*8     sqlerp, sqlerrp
C                                       Diagnostic information
      integer*4       sqlerr(6), sqlerrd(6)
C                                       Warning flags
      character       sqlwrn(0:10)
      character*11    sqlwarn
C                                       SQLSTATE
      character*5     sqlstate, sqlstt


C   Define the elements to be contiguous - order them

      equivalence ( sqlca (  1), sqlcaid  )
      equivalence ( sqlca (  9), sqlcabc  )
      equivalence ( sqlca ( 13), sqlcode  )
      equivalence ( sqlca ( 17), sqlerrml )
      equivalence ( sqlca ( 19), sqlerrmc )
      equivalence ( sqlca ( 89), sqlerrp  )
      equivalence ( sqlca ( 97), sqlerrd  )
      equivalence ( sqlca (121), sqlwarn  )
      equivalence ( sqlca (132), sqlstate )

C  Common Statements

      common /sqlca1/ sqlcod, sqlerr, sqltxl
      common /sqlca2/ sqlerp, sqlwrn, sqltxt, sqlstt
