*******************************************************************************
*  
*  Source File Name: SQLCODES
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1997
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function: Include File defining:
*              Labels for SQLCODES
*  
*  Operating System: LINUX
*  
********************************************************************************
* SQL Return Codes in SQLCODE

* ------------ warnings ------------
* correlation without qualification
       integer*2   sql_rc_w012
       parameter ( sql_rc_w012             = 12 )

* unsupported bind/prep options
       integer*2   sql_rc_w020
       parameter ( sql_rc_w020             = 20 )

* eof
       integer*2   sql_rc_w100
       parameter ( sql_rc_w100             = 100 )


* duplicate column conistraint
       integer*2   sql_rc_w139
       parameter ( sql_rc_w139             = 139 )

* invalid syntax ignored
       integer*2   sql_rc_w143
       parameter ( sql_rc_w143             = 143 )


* explain mode incompatible
       integer*2   sql_rc_w217
       parameter ( sql_rc_w217             = 217 )

* hole detected during fetch of cursor
       integer*2   sql_rc_w222
       parameter ( sql_rc_w222             = 222 )

* cursor position prevents FETCH current row
       integer*2   sql_rc_w231
       parameter ( sql_rc_w231             = 231 )

* not enough sqlvars, none filled in
       integer*2   sql_rc_w236
       parameter ( sql_rc_w236             = 236 )

* distinct type: not enough sqlvars, some filled in
       integer*2   sql_rc_w237
       parameter ( sql_rc_w237             = 237 )

* LOB type: not enough sqlvars, none filled in
       integer*2   sql_rc_w238
       parameter ( sql_rc_w238             = 238 )

* distinct type: not enough sqlvars, none filled in
       integer*2   sql_rc_w239
       parameter ( sql_rc_w239             = 239 )

* new view replaced old
       integer*2   sql_rc_w280
       parameter ( sql_rc_w280             = 280 )


* possible infinite loop
       integer*2   sql_rc_w347
       parameter ( sql_rc_w347             = 347 )

* DATALINK value may not be valid
       integer*2   sql_rc_w360
       parameter ( sql_rc_w360             = 360 )

* SQLSTATE or SQLCODE may be over-written
       integer*2   sql_rc_w385
       parameter ( sql_rc_w385             = 385 )


* alias target is not defined
       integer*2   sql_rc_w403
       parameter ( sql_rc_w403             = 403 )

* clause value has been replaced
       integer*2   sql_rc_w434
       parameter ( sql_rc_w434             = 434 )

* Sub-optimal query
       integer*2   sql_rc_w437
       parameter ( sql_rc_w437             = 437 )

* Function has truncated value
       integer*2   sql_rc_w445
       parameter ( sql_rc_w445             = 445 )

* Create UDF contains redundant keyw
       integer*2   sql_rc_w447
       parameter ( sql_rc_w447             = 447 )

* Procedure returned too many query result sets
       integer*2   sql_rc_w464
       parameter ( sql_rc_w464             = 464 )

* UDF returns a warning sqlstate
       integer*2   sql_rc_w462
       parameter ( sql_rc_w462             = 462 )

* one or more results sets for stored procedure
       integer*2   sql_rc_w466
       parameter ( sql_rc_w466             = 466 )

* Another result set exists for a stored procedure
       integer*2   sql_rc_w467
       parameter ( sql_rc_w467             = 467 )

* DDL:could truncate value at runtime
       integer*2   sql_rc_w474
       parameter ( sql_rc_w474             = 474 )

* DDL:could truncate value at runtime
       integer*2   sql_rc_w477
       parameter ( sql_rc_w477             = 477 )


* duplicate referential constraint
       integer*2   sql_rc_w541
       parameter ( sql_rc_w541             = 541 )

* some privileges were not granted
       integer*2   sql_rc_w570
       parameter ( sql_rc_w570             = 570 )

* Isolation level escalated
       integer*2   sql_rc_w595
       parameter ( sql_rc_w595             = 595 )

* existing index used
       integer*2   sql_rc_w598
       parameter ( sql_rc_w598             = 598 )

* compare func not created for lstr
       integer*2   sql_rc_w599
       parameter ( sql_rc_w599             = 599 )


* index already exists
       integer*2   sql_rc_w605
       parameter ( sql_rc_w605             = 605 )


* duplicate row warning
       integer*2   sql_rc_w803
       parameter ( sql_rc_w803             = 803 )


* unknown SQL warning another product
       integer*2   sql_rc_w965
       parameter ( sql_rc_w965             = 965 )

* XA informational message
       integer*2   sql_rc_w997
       parameter ( sql_rc_w997             = 997 )


* already existing index was migrated
       integer*2   sql_rc_w1138
       parameter ( sql_rc_w1138            = 1138 )

* estimate cost exceeds resource limit warning threshold
       integer*2   sql_rc_w1140
       parameter ( sql_rc_w1140            = 1140 )

* value not within host variable data type range
       integer*2   sql_rc_w1165
       parameter ( sql_rc_w1165            = 1165 )

* Division by zero
       integer*2   sql_rc_w1166
       parameter ( sql_rc_w1166            = 1166 )

* Arithmetic overflow or arithmetic exception
       integer*2   sql_rc_w1167
       parameter ( sql_rc_w1167            = 1167 )

* object may require invoker to have privileges on data source object
       integer*2   sql_rc_w1179
       parameter ( sql_rc_w1179            = 1179 )


* XA no data to return from recover
       integer*2   sql_rc_w1251
       parameter ( sql_rc_w1251            = 1251 )


* WITH GRANT OPTION ignored
       integer*2   sql_rc_w1440
       parameter ( sql_rc_w1440            = 1440 )

* system error on DB termination
       integer*2   sql_rc_err_db_term
       parameter ( sql_rc_err_db_term      = 1475 )

* Invalid cursor position
       integer*2   sql_rc_w1479
       parameter ( sql_rc_w1479            = 1479 )


* value of DEGREE ignored
       integer*2   sql_rc_w1530
       parameter ( sql_rc_w1530            = 1530 )

* Trailing blanks are truncated
       integer*2   sql_rc_w1580
       parameter ( sql_rc_w1580            = 1580 )

* data remains unverified
       integer*2   sql_rc_w1594
       parameter ( sql_rc_w1594            = 1594 )


* Event monitor state not changed
       integer*2   sqlm_rc_not_set
       parameter ( sqlm_rc_not_set         = 1615 )

* Monitor: No conversion from source cp to target cp
       integer*2   sql_rc_w1625
       parameter ( sql_rc_w1625            = 1625 )

* Monitor: code page conversion overflow
       integer*2   sql_rc_w1626
       parameter ( sql_rc_w1626            = 1626 )

* Monitor: V5 snapshot returned on V6 request
       integer*2   sql_rc_w1627
       parameter ( sql_rc_w1627            = 1627 )

* Monitor: A remote snapshot operation failed
       integer*2   sql_rc_w1628
       parameter ( sql_rc_w1628            = 1628 )

* Monitor: A get switches operation ran out of buffer space
       integer*2   sql_rc_w1629
       parameter ( sql_rc_w1629            = 1629 )


* containers not designated for specific nodes are not used
       integer*2   sql_rc_w1758
       parameter ( sql_rc_w1758            = 1758 )

* Redistribute required to change data partitioning
       integer*2   sql_rc_w1759
       parameter ( sql_rc_w1759            = 1759 )


* LOB value retrieved may have been changed
       integer*2   sql_rc_w1821
       parameter ( sql_rc_w1821            = 1821 )

* base tables of UNION ALL may be same table
       integer*2   sql_rc_w1824
       parameter ( sql_rc_w1824            = 1824 )


* Reconcile pending on some DLMs
       integer*2   sql_rc_w2077
       parameter ( sql_rc_w2077            = 2077 )


* Statistics are in an inconsistent state
       integer*2   sql_rc_w2314
       parameter ( sql_rc_w2314            = 2314 )


* The database was not catalogued in LDAP
       integer*2   sql_rc_w3274
       parameter ( sql_rc_w3274            = 3274 )

* The database was not uncatalogued in LDAP
       integer*2   sql_rc_w3275
       parameter ( sql_rc_w3275            = 3275 )

* Protocol info was not updated in LDAP
       integer*2   sql_rc_w3283
       parameter ( sql_rc_w3283            = 3283 )


* SQL procedure binary not in catalog
       integer*2   sql_rc_w7035
       parameter ( sql_rc_w7035            = 7035 )


* concurrent user limit exceeded - DB2 Workgroup
       integer*2   sql_rc_w8009
       parameter ( sql_rc_w8009            = 8009 )

* concurrent user limit exceeded - DB2 Connect
       integer*2   sql_rc_w8010
       parameter ( sql_rc_w8010            = 8010 )

* concurrent user limit exceeded - DB2 Enterprise
       integer*2   sql_rc_w8012
       parameter ( sql_rc_w8012            = 8012 )

* concurrent connection limit exceeded - DB2 Connect
       integer*2   sql_rc_w8013
       parameter ( sql_rc_w8013            = 8013 )

* processor license limit exceeded
       integer*2   sql_rc_w8017
       parameter ( sql_rc_w8017            = 8017 )

* concurrent user license limit exceeded
       integer*2   sql_rc_w8018
       parameter ( sql_rc_w8018            = 8018 )


* summary table cannot be used to optimize query
       integer*2   sql_rc_w20059
       parameter ( sql_rc_w20059           = 20059 )

* DATALINK attribute only for typed table or type view
       integer*2   sql_rc_w20090
       parameter ( sql_rc_w20090           = 20090 )


* Error in debugger support
       integer*2   sql_rc_w20109
       parameter ( sql_rc_w20109           = 20109 )

* Column is not long enough
       integer*2   sql_rc_w20114
       parameter ( sql_rc_w20114           = 20114 )

* Authorization granted to USER
       integer*2   sql_rc_w20160
       parameter ( sql_rc_w20160           = 20160 )


* procedure returned too many results
       integer*2   sql_rc_w20206
       parameter ( sql_rc_w20206           = 20206 )


* Rebind options ignored
       integer*2   sql_rc_w30101
       parameter ( sql_rc_w30101           = 30101 )

* Connection disabled
       integer*2   sql_rc_w30102
       parameter ( sql_rc_w30102           = 30102 )


* ------------ errors ------------
* illegal character
       integer*2   sql_rc_e007
       parameter ( sql_rc_e007             = -7 )

* string constant not terminated
       integer*2   sql_rc_e010
       parameter ( sql_rc_e010             = -10 )

* cursor or statement name = ""
       integer*2   sql_rc_e013
       parameter ( sql_rc_e013             = -13 )

* function or method does not end with RETURN
       integer*2   sql_rc_e017
       parameter ( sql_rc_e017             = -17 )

* INTO clause required
       integer*2   sql_rc_e029
       parameter ( sql_rc_e029             = -29 )

* reserved
       integer*2   sql_rc_e051
       parameter ( sql_rc_e051             = -51 )

* SQLSTATE and SQLCODE declaration in wrong scope
       integer*2   sql_rc_e056
       parameter ( sql_rc_e056             = -56 )

* RETURN statement must include a value
       integer*2   sql_rc_e057
       parameter ( sql_rc_e057             = -57 )

* data type for RETURN value must be INTEGER
       integer*2   sql_rc_e058
       parameter ( sql_rc_e058             = -58 )

* parameter names not specified for routine
       integer*2   sql_rc_e078
       parameter ( sql_rc_e078             = -78 )

* global temp table schema must be SESSION
       integer*2   sql_rc_e079
       parameter ( sql_rc_e079             = -79 )

* bad SQL statement
       integer*2   sql_rc_e084
       parameter ( sql_rc_e084             = -84 )

* data type not supported in SQL routine
       integer*2   sql_rc_e097
       parameter ( sql_rc_e097             = -97 )


* statement too long
       integer*2   sql_rc_e101
       parameter ( sql_rc_e101             = -101 )

* string constant too long
       integer*2   sql_rc_e102
       parameter ( sql_rc_e102             = -102 )

* invalid numeric literal
       integer*2   sql_rc_e103
       parameter ( sql_rc_e103             = -103 )

* invalid character/token
       integer*2   sql_rc_e104
       parameter ( sql_rc_e104             = -104 )

* invalid string constant
       integer*2   sql_rc_e105
       parameter ( sql_rc_e105             = -105 )

* incomplete statement
       integer*2   sql_rc_e106
       parameter ( sql_rc_e106             = -106 )

* name too long
       integer*2   sql_rc_e107
       parameter ( sql_rc_e107             = -107 )

* name has too many qualifiers
       integer*2   sql_rc_e108
       parameter ( sql_rc_e108             = -108 )

* clause not permitted
       integer*2   sql_rc_e109
       parameter ( sql_rc_e109             = -109 )

* invalid hex constant
       integer*2   sql_rc_e110
       parameter ( sql_rc_e110             = -110 )

* no column name
       integer*2   sql_rc_e111
       parameter ( sql_rc_e111             = -111 )

* operand is SQL function
       integer*2   sql_rc_e112
       parameter ( sql_rc_e112             = -112 )

* identifier contains invalid character
       integer*2   sql_rc_e113
       parameter ( sql_rc_e113             = -113 )

* wrong nbr of insert values
       integer*2   sql_rc_e117
       parameter ( sql_rc_e117             = -117 )

* object table in from clause
       integer*2   sql_rc_e118
       parameter ( sql_rc_e118             = -118 )

* column not in group by
       integer*2   sql_rc_e119
       parameter ( sql_rc_e119             = -119 )

* clause includes SQL fn
       integer*2   sql_rc_e120
       parameter ( sql_rc_e120             = -120 )

* dup column name
       integer*2   sql_rc_e121
       parameter ( sql_rc_e121             = -121 )

* no group by
       integer*2   sql_rc_e122
       parameter ( sql_rc_e122             = -122 )

* parameter must be constant
       integer*2   sql_rc_notconst
       parameter ( sql_rc_notconst         = -123 )

* no result column
       integer*2   sql_rc_e125
       parameter ( sql_rc_e125             = -125 )

* dup distinct
       integer*2   sql_rc_e127
       parameter ( sql_rc_e127             = -127 )

* too many table names
       integer*2   sql_rc_e129
       parameter ( sql_rc_e129             = -129 )

* invalid escape character
       integer*2   sql_rc_invesc
       parameter ( sql_rc_invesc           = -130 )

* incompatible data for like
       integer*2   sql_rc_e131
       parameter ( sql_rc_e131             = -131 )

* like predicate invalid
       integer*2   sql_rc_e132
       parameter ( sql_rc_e132             = -132 )

* improper use of long string
       integer*2   sql_rc_e134
       parameter ( sql_rc_e134             = -134 )

* input must be a host variable or NULL
       integer*2   sql_rc_e135
       parameter ( sql_rc_e135             = -135 )

* length of concat too long
       integer*2   sql_rc_e137
       parameter ( sql_rc_e137             = -137 )

* substr arg out of range
       integer*2   sql_rc_e138
       parameter ( sql_rc_e138             = -138 )

* syntax not supported
       integer*2   sql_rc_e142
       parameter ( sql_rc_e142             = -142 )

* unsupported ANSI syntax
       integer*2   sql_rc_e146
       parameter ( sql_rc_e146             = -146 )

* view not updatable
       integer*2   sql_rc_e150
       parameter ( sql_rc_e150             = -150 )

* column not updatable
       integer*2   sql_rc_e151
       parameter ( sql_rc_e151             = -151 )

* no column list
       integer*2   sql_rc_e153
       parameter ( sql_rc_e153             = -153 )

* trigger trans tbl not modifiable
       integer*2   sql_rc_e155
       parameter ( sql_rc_e155             = -155 )

* command not allowed on view
       integer*2   sql_rc_e156
       parameter ( sql_rc_e156             = -156 )

* view name in foreign key
       integer*2   sql_rc_e157
       parameter ( sql_rc_e157             = -157 )

* nbr of columns does not match
       integer*2   sql_rc_e158
       parameter ( sql_rc_e158             = -158 )

* drop view on table
       integer*2   sql_rc_e159
       parameter ( sql_rc_e159             = -159 )

* with check not allowed on view
       integer*2   sql_rc_e160
       parameter ( sql_rc_e160             = -160 )

* with check violation
       integer*2   sql_rc_e161
       parameter ( sql_rc_e161             = -161 )

* nbr of arguments invalid
       integer*2   sql_rc_e170
       parameter ( sql_rc_e170             = -170 )

* argument invalid
       integer*2   sql_rc_e171
       parameter ( sql_rc_e171             = -171 )

* function name invalid
       integer*2   sql_rc_e172
       parameter ( sql_rc_e172             = -172 )

* translate scalar argument invalid
       integer*2   sql_rc_e176
       parameter ( sql_rc_e176             = -176 )

* datetime syntax invalid
       integer*2   sql_rc_e180
       parameter ( sql_rc_e180             = -180 )

* datetime value invalid
       integer*2   sql_rc_e181
       parameter ( sql_rc_e181             = -181 )

* datetime arithmetic invalid
       integer*2   sql_rc_e182
       parameter ( sql_rc_e182             = -182 )

* datetime arithmetic out of range
       integer*2   sql_rc_e183
       parameter ( sql_rc_e183             = -183 )

* datetime register is invalid
       integer*2   sql_rc_dtmereg
       parameter ( sql_rc_dtmereg          = -187 )

* data type or length of column incompatible
       integer*2   sql_rc_e190
       parameter ( sql_rc_e190             = -190 )

* truncated DBCS character found
       integer*2   sql_rc_dbcstrunc
       parameter ( sql_rc_dbcstrunc        = -191 )

* NOT NULL needs DEFAULT
       integer*2   sql_rc_e193
       parameter ( sql_rc_e193             = -193 )

* no qualified columns in ORDER BY
       integer*2   sql_rc_e197
       parameter ( sql_rc_e197             = -197 )

* no statement text
       integer*2   sql_rc_e198
       parameter ( sql_rc_e198             = -198 )

* illegal use of reserved word
       integer*2   sql_rc_e199
       parameter ( sql_rc_e199             = -199 )


* ambiguous column reference
       integer*2   sql_rc_e203
       parameter ( sql_rc_e203             = -203 )

* undefined name
       integer*2   sql_rc_e204
       parameter ( sql_rc_e204             = -204 )

* not a column
       integer*2   sql_rc_e205
       parameter ( sql_rc_e205             = -205 )

* not a column of referenced tables
       integer*2   sql_rc_e206
       parameter ( sql_rc_e206             = -206 )

* cannot orderby column name w/union
       integer*2   sql_rc_e207
       parameter ( sql_rc_e207             = -207 )

* column not part of result table
       integer*2   sql_rc_e208
       parameter ( sql_rc_e208             = -208 )

* duplicate table designator
       integer*2   sql_rc_e212
       parameter ( sql_rc_e212             = -212 )

* bad expression in group/by or order by
       integer*2   sql_rc_e214
       parameter ( sql_rc_e214             = -214 )

* number of elements does not match
       integer*2   sql_rc_e216
       parameter ( sql_rc_e216             = -216 )

* required explain table not exist
       integer*2   sql_rc_e219
       parameter ( sql_rc_e219             = -219 )

* explain table has improper def
       integer*2   sql_rc_e220
       parameter ( sql_rc_e220             = -220 )

* update or delete against a hole
       integer*2   sql_rc_e222
       parameter ( sql_rc_e222             = -222 )

* result table does not agree with base table
       integer*2   sql_rc_e224
       parameter ( sql_rc_e224             = -224 )

* FETCH against non-scrollable cursor
       integer*2   sql_rc_e225
       parameter ( sql_rc_e225             = -225 )

* cursor has unknown position
       integer*2   sql_rc_e227
       parameter ( sql_rc_e227             = -227 )

* FOR UPDATE specified for read-only cursor
       integer*2   sql_rc_e228
       parameter ( sql_rc_e228             = -228 )

* duplicate object in list
       integer*2   sql_rc_e242
       parameter ( sql_rc_e242             = -242 )

* SENSITIVE cursor cannot be defined for SELECT
       integer*2   sql_rc_e243
       parameter ( sql_rc_e243             = -243 )

* SENSITIVITY not valid for cursor
       integer*2   sql_rc_e244
       parameter ( sql_rc_e244             = -244 )

* raw device containers not allowed
       integer*2   sql_rc_e257
       parameter ( sql_rc_e257             = -257 )

* cannot add container to pool
       integer*2   sql_rc_e258
       parameter ( sql_rc_e258             = -258 )

* container map too big
       integer*2   sql_rc_e259
       parameter ( sql_rc_e259             = -259 )

* partition key has long field
       integer*2   sql_rc_e260 
       parameter ( sql_rc_e260             = -260 )

* node in use, cannot drop
       integer*2   sql_rc_e261 
       parameter ( sql_rc_e261             = -261 )

* multinode table without part key
       integer*2   sql_rc_e262 
       parameter ( sql_rc_e262             = -262 )

* invalid node range
       integer*2   sql_rc_e263 
       parameter ( sql_rc_e263             = -263 )

* multinode tbl, cannot drop part
       integer*2   sql_rc_e264 
       parameter ( sql_rc_e264             = -264 )

* duplicate node name/number
       integer*2   sql_rc_e265 
       parameter ( sql_rc_e265             = -265 )

* node not defined
       integer*2   sql_rc_e266 
       parameter ( sql_rc_e266             = -266 )

* operatn not done because rebalance
       integer*2   sql_rc_e268 
       parameter ( sql_rc_e268             = -268 )

* too many nodegroups
       integer*2   sql_rc_e269 
       parameter ( sql_rc_e269             = -269 )

* function not supported
       integer*2   sql_rc_e270 
       parameter ( sql_rc_e270             = -270 )

* Index file missing or invalid
       integer*2   sql_rc_e271 
       parameter ( sql_rc_e271             = -271 )

* database in restore pending state
       integer*2   sql_rc_e276 
       parameter ( sql_rc_e276             = -276 )

* connection terminated during COMMIT
       integer*2   sql_rc_e279 
       parameter ( sql_rc_e279             = -279 )

* cannot add containers to tablespace
       integer*2   sql_rc_e281
       parameter ( sql_rc_e281             = -281 )

* cannot drop tblspace, tbl conflict
       integer*2   sql_rc_e282
       parameter ( sql_rc_e282             = -282 )

* cannot drop only temp tablespace
       integer*2   sql_rc_e283
       parameter ( sql_rc_e283             = -283 )

* invalid tablespace type for clause
       integer*2   sql_rc_e284
       parameter ( sql_rc_e284             = -284 )

* all table parts must be in tblspce
       integer*2   sql_rc_e285
       parameter ( sql_rc_e285             = -285 )

* need default tblspce for new tables
       integer*2   sql_rc_e286
       parameter ( sql_rc_e286             = -286 )

* SYSCATSPACE not for user objects
       integer*2   sql_rc_e287
       parameter ( sql_rc_e287             = -287 )

* long tablespace cannot use system
       integer*2   sql_rc_e288
       parameter ( sql_rc_e288             = -288 )

* cannot allocate new pages in tablespace
       integer*2   sql_rc_e289
       parameter ( sql_rc_e289             = -289 )

* access to tablespace not allowed
       integer*2   sql_rc_e290
       parameter ( sql_rc_e290             = -290 )

* invalid state transition
       integer*2   sql_rc_e291
       parameter ( sql_rc_e291             = -291 )

* cannot create internal db file
       integer*2   sql_rc_e292
       parameter ( sql_rc_e292             = -292 )

* error accessing container
       integer*2   sql_rc_e293
       parameter ( sql_rc_e293             = -293 )

* container already in use
       integer*2   sql_rc_e294
       parameter ( sql_rc_e294             = -294 )

* container names too long
       integer*2   sql_rc_e295
       parameter ( sql_rc_e295             = -295 )

* tablespace limit exceeded
       integer*2   sql_rc_e296
       parameter ( sql_rc_e296             = -296 )

* container pathname too long
       integer*2   sql_rc_e297
       parameter ( sql_rc_e297             = -297 )

* bad container pathname
       integer*2   sql_rc_e298
       parameter ( sql_rc_e298             = -298 )

* container already added
       integer*2   sql_rc_e299
       parameter ( sql_rc_e299             = -299 )


* host variable has invalid type
       integer*2   sql_rc_e301
       parameter ( sql_rc_e301             = -301 )

* host variable value too large
       integer*2   sql_rc_e302
       parameter ( sql_rc_e302             = -302 )

* data types not comparable
       integer*2   sql_rc_e303
       parameter ( sql_rc_e303             = -303 )

* value not in range of host var
       integer*2   sql_rc_e304
       parameter ( sql_rc_e304             = -304 )

* host var cannot be null
       integer*2   sql_rc_e305
       parameter ( sql_rc_e305             = -305 )

* host var limit reached
       integer*2   sql_rc_e308
       parameter ( sql_rc_e308             = -308 )

* host var should not be null
       integer*2   sql_rc_e309
       parameter ( sql_rc_e309             = -309 )

* length of host var is negative
       integer*2   sql_rc_e311
       parameter ( sql_rc_e311             = -311 )

* unusable host variable
       integer*2   sql_rc_e312
       parameter ( sql_rc_e312             = -312 )

* wrong nbr of host variables
       integer*2   sql_rc_e313
       parameter ( sql_rc_e313             = -313 )

* no conversn source-cp to target-cp
       integer*2   sql_rc_e332
       parameter ( sql_rc_e332             = -332 )

* conversion overflow
       integer*2   sql_rc_e334
       parameter ( sql_rc_e334             = -334 )

* decimal scale must be zero
       integer*2   sql_rc_e336
       parameter ( sql_rc_e336             = -336 )

* ON clause not valid for Outer Join
       integer*2   sql_rc_e338
       parameter ( sql_rc_e338             = -338 )

* duplicate common table expression
       integer*2   sql_rc_e340
       parameter ( sql_rc_e340             = -340 )

* cyclic ref between comm tbl exp
       integer*2   sql_rc_e341
       parameter ( sql_rc_e341             = -341 )

* comm tbl exp use UNION ALL
       integer*2   sql_rc_e342
       parameter ( sql_rc_e342             = -342 )

* col names required
       integer*2   sql_rc_e343
       parameter ( sql_rc_e343             = -343 )

* columns must match exactly
       integer*2   sql_rc_e344
       parameter ( sql_rc_e344             = -344 )

* cannot use GROUP BY or HAVING here
       integer*2   sql_rc_e345
       parameter ( sql_rc_e345             = -345 )

* invalid reference to comm tbl exp
       integer*2   sql_rc_e346
       parameter ( sql_rc_e346             = -346 )

* cannot use identity column or sequence
       integer*2   sql_rc_e348
       parameter ( sql_rc_e348             = -348 )

* different sequence expressions in INSERT
       integer*2   sql_rc_e349
       parameter ( sql_rc_e349             = -349 )

* LOB col cannot be idx, key, constr
       integer*2   sql_rc_e350
       parameter ( sql_rc_e350             = -350 )

* LOB col cannot be selected by DRDA
       integer*2   sql_rc_e351
       parameter ( sql_rc_e351             = -351 )

* LOB col cannot be inserted by DRDA
       integer*2   sql_rc_e352
       parameter ( sql_rc_e352             = -352 )

* LOB col cannot be logged
       integer*2   sql_rc_e355
       parameter ( sql_rc_e355             = -355 )

* DataLink Error
       integer*2   sql_rc_e357
       parameter ( sql_rc_e357             = -357 )

* DataLink Error
       integer*2   sql_rc_e358
       parameter ( sql_rc_e358             = -358 )

* Range exhausted
       integer*2   sql_rc_e359
       parameter ( sql_rc_e359             = -359 )

* DataLink Error
       integer*2   sql_rc_e368
       parameter ( sql_rc_e368             = -368 )

* parameter must be named in CREATE FUNCTION statement
       integer*2   sql_rc_e370
       parameter ( sql_rc_e370             = -370 )

* One identity column per table
       integer*2   sql_rc_e372
       parameter ( sql_rc_e372             = -372 )

* DEFAULT clause not allowed on identity column
       integer*2   sql_rc_e373
       parameter ( sql_rc_e373             = -373 )

* clause not specified in CREATE FUNCTION
       integer*2   sql_rc_e374
       parameter ( sql_rc_e374             = -374 )

* source and target are built-in types or same
       integer*2   sql_rc_e388
       parameter ( sql_rc_e388             = -388 )

* invalid specific function instance in CREATE CAST
       integer*2   sql_rc_e389
       parameter ( sql_rc_e389             = -389 )

* function is invalid in the context it is used
       integer*2   sql_rc_e390
       parameter ( sql_rc_e390             = -390 )

* Invalid use of a row based function
       integer*2   sql_rc_e391
       parameter ( sql_rc_e391             = -391 )

* SQLDA provided for fetch has been changed
       integer*2   sql_rc_e392
       parameter ( sql_rc_e392             = -392 )


* operands not comparable
       integer*2   sql_rc_e401
       parameter ( sql_rc_e401             = -401 )

* invalid type for arithmetic op
       integer*2   sql_rc_e402
       parameter ( sql_rc_e402             = -402 )

* alias object undefined
       integer*2   sql_rc_e403
       parameter ( sql_rc_e403             = -403 )

* update/insert string too long
       integer*2   sql_rc_e404
       parameter ( sql_rc_e404             = -404 )

* numeric literal out of range
       integer*2   sql_rc_e405
       parameter ( sql_rc_e405             = -405 )

* derived value out of range
       integer*2   sql_rc_e406
       parameter ( sql_rc_e406             = -406 )

* column cannot be null
       integer*2   sql_rc_e407
       parameter ( sql_rc_e407             = -407 )

* invalid data type for column
       integer*2   sql_rc_e408
       parameter ( sql_rc_e408             = -408 )

* invalid operand for count
       integer*2   sql_rc_e409
       parameter ( sql_rc_e409             = -409 )

* float literal too long
       integer*2   sql_rc_e410
       parameter ( sql_rc_e410             = -410 )

* multiple columns in subquery
       integer*2   sql_rc_e412
       parameter ( sql_rc_e412             = -412 )

* overflow during data conversion
       integer*2   sql_rc_e413
       parameter ( sql_rc_e413             = -413 )

* incompatible data types for union
       integer*2   sql_rc_e415
       parameter ( sql_rc_e415             = -415 )

* long string in union
       integer*2   sql_rc_e416
       parameter ( sql_rc_e416             = -416 )

* invalid use of parameter markers
       integer*2   sql_rc_e417
       parameter ( sql_rc_e417             = -417 )

* parameter marker in select clause
       integer*2   sql_rc_e418
       parameter ( sql_rc_e418             = -418 )

* division produced negative scale
       integer*2   sql_rc_e419
       parameter ( sql_rc_e419             = -419 )

* invalid character in input string
       integer*2   sql_rc_e420
       parameter ( sql_rc_e420             = -420 )

* diff number of columns for union
       integer*2   sql_rc_e421
       parameter ( sql_rc_e421             = -421 )

* Invalid handle
       integer*2   sql_rc_e423
       parameter ( sql_rc_e423             = -423 )

* dynamic COMMIT not valid
       integer*2   sql_rc_e426
       parameter ( sql_rc_e426             = -426 )

* dynamic ROLLBACK not valid
       integer*2   sql_rc_e427
       parameter ( sql_rc_e427             = -427 )

* DISCONNECT in unit of work notallow
       integer*2   sql_rc_e428
       parameter ( sql_rc_e428             = -428 )

* Handle table full
       integer*2   sql_rc_e429
       parameter ( sql_rc_e429             = -429 )

* UDF abnormal end
       integer*2   sql_rc_e430
       parameter ( sql_rc_e430             = -430 )

* UDF interrupted
       integer*2   sql_rc_e431
       parameter ( sql_rc_e431             = -431 )

* Parameter marker cannot have udf nm
       integer*2   sql_rc_e432
       parameter ( sql_rc_e432             = -432 )

* Value is too long
       integer*2   sql_rc_e433
       parameter ( sql_rc_e433             = -433 )

* Inv SQLSTATE in RAISE_ERROR
       integer*2   sql_rc_e435
       parameter ( sql_rc_e435             = -435 )

* C language char string missing NUL
       integer*2   sql_rc_e436
       parameter ( sql_rc_e436             = -436 )

* App raised error
       integer*2   sql_rc_e438
       parameter ( sql_rc_e438             = -438 )

* Error in UDF
       integer*2   sql_rc_e439
       parameter ( sql_rc_e439             = -439 )

* No function with compatible arg
       integer*2   sql_rc_e440
       parameter ( sql_rc_e440             = -440 )

* Invalid use of DISTINCT with scalar
       integer*2   sql_rc_e441
       parameter ( sql_rc_e441             = -441 )

* Error refering function in DML
       integer*2   sql_rc_e442
       parameter ( sql_rc_e442             = -442 )

* UDF returns error sqlstate
       integer*2   sql_rc_e443
       parameter ( sql_rc_e443             = -443 )

* Unable to access UDF function
       integer*2   sql_rc_e444
       parameter ( sql_rc_e444             = -444 )

* Exceed max number of parameters
       integer*2   sql_rc_e448
       parameter ( sql_rc_e448             = -448 )

* Invalid EXTERNAL NAME format
       integer*2   sql_rc_e449
       parameter ( sql_rc_e449             = -449 )

* UDF generates too long result value
       integer*2   sql_rc_e450
       parameter ( sql_rc_e450             = -450 )

* DDL: invalid type for external UDF
       integer*2   sql_rc_e451
       parameter ( sql_rc_e451             = -451 )

* Hostvar file inaccessible
       integer*2   sql_rc_e452
       parameter ( sql_rc_e452             = -452 )

* Error in RETURNS and CAST FROM
       integer*2   sql_rc_e453
       parameter ( sql_rc_e453             = -453 )

* Duplicate UDF name and signature
       integer*2   sql_rc_e454
       parameter ( sql_rc_e454             = -454 )

* Diff schema for UDF name & specific
       integer*2   sql_rc_e455
       parameter ( sql_rc_e455             = -455 )

* Duplicate specific name
       integer*2   sql_rc_e456
       parameter ( sql_rc_e456             = -456 )

* Name reserved for system use
       integer*2   sql_rc_e457
       parameter ( sql_rc_e457             = -457 )

* DDL refers UDF signature not found
       integer*2   sql_rc_e458
       parameter ( sql_rc_e458             = -458 )

* AS CAST use error
       integer*2   sql_rc_e459
       parameter ( sql_rc_e459             = -459 )

* invalid CAST
       integer*2   sql_rc_e461
       parameter ( sql_rc_e461             = -461 )

* UDF returns an invalid sqlstate
       integer*2   sql_rc_e463
       parameter ( sql_rc_e463             = -463 )

* Unable to start fenced UDF
       integer*2   sql_rc_e465
       parameter ( sql_rc_e465             = -465 )

* Invalid use of IN, OUT, or INOUT parameter
       integer*2   sql_rc_e469
       parameter ( sql_rc_e469             = -469 )

* Could not pass NULL argument to procedure
       integer*2   sql_rc_e470
       parameter ( sql_rc_e470             = -470 )

* Error occurred calling a routine
       integer*2   sql_rc_e471
       parameter ( sql_rc_e471             = -471 )

* reserved object name
       integer*2   sql_rc_e473
       parameter ( sql_rc_e473             = -473 )

* Result type of source is different
       integer*2   sql_rc_e475
       parameter ( sql_rc_e475             = -475 )

* Reference to function is not unique
       integer*2   sql_rc_e476
       parameter ( sql_rc_e476             = -476 )

* other obj depends on this obj
       integer*2   sql_rc_e478
       parameter ( sql_rc_e478             = -478 )

* procedure not yet called
       integer*2   sql_rc_e480
       parameter ( sql_rc_e480             = -480 )

* GROUP BY: element nested in element
       integer*2   sql_rc_e481
       parameter ( sql_rc_e481             = -481 )

* Parm num not match with source
       integer*2   sql_rc_e483
       parameter ( sql_rc_e483             = -483 )

* Boolean type is system used only
       integer*2   sql_rc_e486
       parameter ( sql_rc_e486             = -486 )

* Attempt to excute an SQL statement
       integer*2   sql_rc_e487
       parameter ( sql_rc_e487             = -487 )

* Inv BOOLEAN in select list result
       integer*2   sql_rc_e489
       parameter ( sql_rc_e489             = -489 )

* Number outside range of allowable values
       integer*2   sql_rc_e490
       parameter ( sql_rc_e490             = -490 )

* DDL: missing reqired clause
       integer*2   sql_rc_e491
       parameter ( sql_rc_e491             = -491 )

* DDL: miss match with source type
       integer*2   sql_rc_e492
       parameter ( sql_rc_e492             = -492 )

* UDF returned bad date/time value
       integer*2   sql_rc_e493
       parameter ( sql_rc_e493             = -493 )

* estimated cost exceeds resource limit error threshold
       integer*2   sql_rc_e495
       parameter ( sql_rc_e495             = -495 )

* cursor already assigned to a result set
       integer*2   sql_rc_e499
       parameter ( sql_rc_e499             = -499 )


* cursor not open (fetch/close)
       integer*2   sql_rc_e501
       parameter ( sql_rc_e501             = -501 )

* cursor already open
       integer*2   sql_rc_e502
       parameter ( sql_rc_e502             = -502 )

* column not in update clause
       integer*2   sql_rc_e503
       parameter ( sql_rc_e503             = -503 )

* cursor name not defined
       integer*2   sql_rc_e504
       parameter ( sql_rc_e504             = -504 )

* cursor not open (update/delete)
       integer*2   sql_rc_e507
       parameter ( sql_rc_e507             = -507 )

* cursor not on a row
       integer*2   sql_rc_e508
       parameter ( sql_rc_e508             = -508 )

* table not same as for cursor
       integer*2   sql_rc_e509
       parameter ( sql_rc_e509             = -509 )

* table cannot be modified
       integer*2   sql_rc_e510
       parameter ( sql_rc_e510             = -510 )

* for update not allowed
       integer*2   sql_rc_e511
       parameter ( sql_rc_e511             = -511 )

* cursor not prepared
       integer*2   sql_rc_e514
       parameter ( sql_rc_e514             = -514 )

* describe not a prepared statement
       integer*2   sql_rc_e516
       parameter ( sql_rc_e516             = -516 )

* prepared statment not a select
       integer*2   sql_rc_e517
       parameter ( sql_rc_e517             = -517 )

* execute not a prepared statement
       integer*2   sql_rc_e518
       parameter ( sql_rc_e518             = -518 )

* statement has an open cursor
       integer*2   sql_rc_e519
       parameter ( sql_rc_e519             = -519 )

* statement cannot be executed
       integer*2   sql_rc_e525
       parameter ( sql_rc_e525             = -525 )

* function does not apply to global temp tables
       integer*2   sql_rc_e526
       parameter ( sql_rc_e526             = -526 )

* duplicate primary/unique key
       integer*2   sql_rc_e528
       parameter ( sql_rc_e528             = -528 )

* invalid foreign key value
       integer*2   sql_rc_e530
       parameter ( sql_rc_e530             = -530 )

* cannot update primary key
       integer*2   sql_rc_e531
       parameter ( sql_rc_e531             = -531 )

* delete is restricted
       integer*2   sql_rc_e532
       parameter ( sql_rc_e532             = -532 )

* multi-row insert not allowed
       integer*2   sql_rc_e533
       parameter ( sql_rc_e533             = -533 )

* multi-row update of pk
       integer*2   sql_rc_e534
       parameter ( sql_rc_e534             = -534 )

* multi-row delete not allowed
       integer*2   sql_rc_e535
       parameter ( sql_rc_e535             = -535 )

* descendent in subquery
       integer*2   sql_rc_e536
       parameter ( sql_rc_e536             = -536 )

* dup column in key def
       integer*2   sql_rc_e537
       parameter ( sql_rc_e537             = -537 )

* foreign key does not match pk
       integer*2   sql_rc_e538
       parameter ( sql_rc_e538             = -538 )

* table does not have primary key
       integer*2   sql_rc_e539
       parameter ( sql_rc_e539             = -539 )

* table does not have primary index
       integer*2   sql_rc_e540
       parameter ( sql_rc_e540             = -540 )

* duplicate referential constraint
       integer*2   sql_rc_e541
       parameter ( sql_rc_e541             = -541 )

* pk column cannot allow nulls
       integer*2   sql_rc_e542
       parameter ( sql_rc_e542             = -542 )

* restricted row delete
       integer*2   sql_rc_e543
       parameter ( sql_rc_e543             = -543 )

* check contraint violated
       integer*2   sql_rc_e544
       parameter ( sql_rc_e544             = -544 )

* check contraint not satisfied
       integer*2   sql_rc_e545
       parameter ( sql_rc_e545             = -545 )

* check contraint invalid
       integer*2   sql_rc_e546
       parameter ( sql_rc_e546             = -546 )

* check contraint invalid
       integer*2   sql_rc_e548
       parameter ( sql_rc_e548             = -548 )

* restricted stmt used with DYNAMICRULES BIND pkg
       integer*2   sql_rc_e549
       parameter ( sql_rc_e549             = -549 )

* authorization error w/obj insert
       integer*2   sql_rc_e551
       parameter ( sql_rc_e551             = -551 )

* auth error w/o obj ins
       integer*2   sql_rc_e552
       parameter ( sql_rc_e552             = -552 )

* SYSIBM qualifier
       integer*2   sql_rc_e553
       parameter ( sql_rc_e553             = -553 )

* cannot grant privilege to self
       integer*2   sql_rc_e554
       parameter ( sql_rc_e554             = -554 )

* cannot revoke privilege from self
       integer*2   sql_rc_e555
       parameter ( sql_rc_e555             = -555 )

* revoke stmt denied--priv not held
       integer*2   sql_rc_e556
       parameter ( sql_rc_e556             = -556 )

* invalid combination of privileges
       integer*2   sql_rc_e557
       parameter ( sql_rc_e557             = -557 )

* revoke stmt denied--has CONTROL
       integer*2   sql_rc_e558
       parameter ( sql_rc_e558             = -558 )

* privilege not allowed for public
       integer*2   sql_rc_e562
       parameter ( sql_rc_e562             = -562 )

* invalid authorization id
       integer*2   sql_rc_e567
       parameter ( sql_rc_e567             = -567 )

* user/group ambiguity
       integer*2   sql_rc_e569
       parameter ( sql_rc_e569             = -569 )

* Inoperative package
       integer*2   sql_rc_e572
       parameter ( sql_rc_e572             = -572 )

* contraint col not primary key
       integer*2   sql_rc_e573
       parameter ( sql_rc_e573             = -573 )

* DEFAULT invalid for column
       integer*2   sql_rc_e574
       parameter ( sql_rc_e574             = -574 )

* view is inoperative
       integer*2   sql_rc_e575
       parameter ( sql_rc_e575             = -575 )

* Repetitive alias chain
       integer*2   sql_rc_e576
       parameter ( sql_rc_e576             = -576 )

* function or procedure not defined as MODIFIES SQL DATA
       integer*2   sql_rc_e577
       parameter ( sql_rc_e577             = -577 )

* function or procedure not defined as READS SQL DATA
       integer*2   sql_rc_e579
       parameter ( sql_rc_e579             = -579 )

* Result of CASE expr cannot be NULL
       integer*2   sql_rc_e580
       parameter ( sql_rc_e580             = -580 )

* Data types of CASE expr incompat
       integer*2   sql_rc_e581
       parameter ( sql_rc_e581             = -581 )

* Inv predicate in CASE expr
       integer*2   sql_rc_e582
       parameter ( sql_rc_e582             = -582 )

* Variant or ext action function
       integer*2   sql_rc_e583
       parameter ( sql_rc_e583             = -583 )

* Inv use of NULL or DEFAULT
       integer*2   sql_rc_e584
       parameter ( sql_rc_e584             = -584 )

* Duplicate schema name     
       integer*2   sql_rc_e585
       parameter ( sql_rc_e585             = -585 )

* Too many schema names     
       integer*2   sql_rc_e586
       parameter ( sql_rc_e586             = -586 )

* Name in SQL procedure not unique 
       integer*2   sql_rc_e590
       parameter ( sql_rc_e590             = -590 )


* udf - dup func signature
       integer*2   sql_rc_e600
       parameter ( sql_rc_e600             = -600 )

* duplicate table/view name
       integer*2   sql_rc_e601
       parameter ( sql_rc_e601             = -601 )

* too many columns in index
       integer*2   sql_rc_e602
       parameter ( sql_rc_e602             = -602 )

* cannot create unique index
       integer*2   sql_rc_e603
       parameter ( sql_rc_e603             = -603 )

* invalid length, precision, scale
       integer*2   sql_rc_e604
       parameter ( sql_rc_e604             = -604 )

* authid does not own column or table
       integer*2   sql_rc_e606
       parameter ( sql_rc_e606             = -606 )

* op not allowed on system tables
       integer*2   sql_rc_e607
       parameter ( sql_rc_e607             = -607 )

* duplicate column name
       integer*2   sql_rc_e612
       parameter ( sql_rc_e612             = -612 )

* primary key too long
       integer*2   sql_rc_e613
       parameter ( sql_rc_e613             = -613 )

* index key too long
       integer*2   sql_rc_e614
       parameter ( sql_rc_e614             = -614 )

* object is in use and cannot be dropped
       integer*2   sql_rc_e615
       parameter ( sql_rc_e615             = -615 )

* userid does not have appropriate dbspaces
       integer*2   sql_rc_e620
       parameter ( sql_rc_e620             = -620 )

* clustering index already exists for table
       integer*2   sql_rc_e623
       parameter ( sql_rc_e623             = -623 )

* table already has primary key
       integer*2   sql_rc_e624
       parameter ( sql_rc_e624             = -624 )

* DDL: multiple/conflict keywords
       integer*2   sql_rc_e628
       parameter ( sql_rc_e628             = -628 )

* foreign key is not nullable
       integer*2   sql_rc_e629
       parameter ( sql_rc_e629             = -629 )

* foreign key is too long
       integer*2   sql_rc_e631
       parameter ( sql_rc_e631             = -631 )

* delete rule restriction
       integer*2   sql_rc_e632
       parameter ( sql_rc_e632             = -632 )

* delete rule is restricted
       integer*2   sql_rc_e633
       parameter ( sql_rc_e633             = -633 )

* delete rule cannot be CASCADE
       integer*2   sql_rc_e634
       parameter ( sql_rc_e634             = -634 )

* dup pk or drop pk clause
       integer*2   sql_rc_e637
       parameter ( sql_rc_e637             = -637 )

* no column definitions
       integer*2   sql_rc_e638
       parameter ( sql_rc_e638             = -638 )

* invalid keyword value
       integer*2   sql_rc_e644
       parameter ( sql_rc_e644             = -644 )

* bufferpool not active
       integer*2   sql_rc_e647
       parameter ( sql_rc_e647             = -647 )

* invalid referential constraint
       integer*2   sql_rc_e648
       parameter ( sql_rc_e648             = -648 )

* object cannot be explicitely dropped
       integer*2   sql_rc_e658
       parameter ( sql_rc_e658             = -658 )

* architectural size limit of object
       integer*2   sql_rc_e659
       parameter ( sql_rc_e659             = -659 )

* ref constraint does not hold
       integer*2   sql_rc_e667
       parameter ( sql_rc_e667             = -667 )

* table in CHECK PENDING state
       integer*2   sql_rc_e668
       parameter ( sql_rc_e668             = -668 )

* cannot drop primary key
       integer*2   sql_rc_e669
       parameter ( sql_rc_e669             = -669 )

* row length too large
       integer*2   sql_rc_e670
       parameter ( sql_rc_e670             = -670 )

* primary key not unique
       integer*2   sql_rc_e673
       parameter ( sql_rc_e673             = -673 )

* too many columns for table
       integer*2   sql_rc_e680
       parameter ( sql_rc_e680             = -680 )

* incompatible column constraint
       integer*2   sql_rc_e683
       parameter ( sql_rc_e683             = -683 )

* invalid trigger definition
       integer*2   sql_rc_e696
       parameter ( sql_rc_e696             = -696 )

* invalid correlation name use
       integer*2   sql_rc_e697
       parameter ( sql_rc_e697             = -697 )


* object uses reserved name
       integer*2   sql_rc_e707
       parameter ( sql_rc_e707             = -707 )

* invalid replace value for sp reg
       integer*2   sql_rc_inv_repl
       parameter ( sql_rc_inv_repl         = -713 )

* trigger error
       integer*2   sql_rc_e723
       parameter ( sql_rc_e723             = -723 )

* max level of cascading
       integer*2   sql_rc_e724
       parameter ( sql_rc_e724             = -724 )

* Invalid implicit PREP or REBIND
       integer*2   sql_rc_e727
       parameter ( sql_rc_e727             = -727 )

* Table cannot be renamed
       integer*2   sql_rc_e750
       parameter ( sql_rc_e750             = -750 )

* statement not allowed in function or proc
       integer*2   sql_rc_e751
       parameter ( sql_rc_e751             = -751 )

* Inoperative package
       integer*2   sql_rc_e752
       parameter ( sql_rc_e752             = -752 )

* Case not found for CASE statement 
       integer*2   sql_rc_e773
       parameter ( sql_rc_e773             = -773 )

* Use of cursor not valid in FOR statement
       integer*2   sql_rc_e776
       parameter ( sql_rc_e776             = -776 )

* Nested compound statements not allowed
       integer*2   sql_rc_e777
       parameter ( sql_rc_e777             = -777 )

* End label not same name as begin label
       integer*2   sql_rc_e778
       parameter ( sql_rc_e778             = -778 )

* Label in ITERATE or LEAVE is not valid
       integer*2   sql_rc_e779
       parameter ( sql_rc_e779             = -779 )

* UNDO in handler in compound statement 
       integer*2   sql_rc_e780
       parameter ( sql_rc_e780             = -780 )

* Condition in handler not defined      
       integer*2   sql_rc_e781
       parameter ( sql_rc_e781             = -781 )

* Condition or SQLSTATE in handler not valid
       integer*2   sql_rc_e782
       parameter ( sql_rc_e782             = -782 )

* SELECT list in FOR statement not valid
       integer*2   sql_rc_e783
       parameter ( sql_rc_e783             = -783 )

* use of SQLCODE or SQLSTATE is not valid
       integer*2   sql_rc_e785
       parameter ( sql_rc_e785             = -785 )

* RESIGNAL statement used outside handler
       integer*2   sql_rc_e787
       parameter ( sql_rc_e787             = -787 )

* type not supported in SQL procedures
       integer*2   sql_rc_e789
       parameter ( sql_rc_e789             = -789 )

* Invalid triggered statement
       integer*2   sql_rc_e797
       parameter ( sql_rc_e797             = -797 )

* Insert value not allowed on generated always identity column
       integer*2   sql_rc_e798
       parameter ( sql_rc_e798             = -798 )


* divide by zero
       integer*2   sql_rc_e801
       parameter ( sql_rc_e801             = -801 )

* arith overflow or divide by zero
       integer*2   sql_rc_e802
       parameter ( sql_rc_e802             = -802 )

* distinct violation
       integer*2   sql_rc_e803
       parameter ( sql_rc_e803             = -803 )

* bad input parameters
       integer*2   sql_rc_e804
       parameter ( sql_rc_e804             = -804 )

* program not bound
       integer*2   sql_rc_e805
       parameter ( sql_rc_e805             = -805 )

* inconsistent connect semantics
       integer*2   sql_rc_e808
       parameter ( sql_rc_e808             = -808 )

* more than one row/value
       integer*2   sql_rc_e811
       parameter ( sql_rc_e811             = -811 )

* statement would cause invalid update operation
       integer*2   sql_rc_e817
       parameter ( sql_rc_e817             = -817 )

* time stamp conflict
       integer*2   sql_rc_e818
       parameter ( sql_rc_e818             = -818 )

* invalid address in sqlda
       integer*2   sql_rc_e822
       parameter ( sql_rc_e822             = -822 )

* too many items in list
       integer*2   sql_rc_e840
       parameter ( sql_rc_e840             = -840 )

* connection already exists
       integer*2   sql_rc_e842
       parameter ( sql_rc_e842             = -842 )

* connection does not exist
       integer*2   sql_rc_e843
       parameter ( sql_rc_e843             = -843 )

* cannot use CURRVAL before NEXTVAL
       integer*2   sql_rc_e845
       parameter ( sql_rc_e845             = -845 )

* Invalid identity specification
       integer*2   sql_rc_e846
       parameter ( sql_rc_e846             = -846 )

* can't change connection settings
       integer*2   sql_rc_e847
       parameter ( sql_rc_e847             = -847 )

* TM not for 2 phase commit apps
       integer*2   sql_rc_e859
       parameter ( sql_rc_e859             = -859 )

* inv TM_DATABASE value
       integer*2   sql_rc_e865
       parameter ( sql_rc_e865             = -865 )

* connect redirect failed
       integer*2   sql_rc_e866
       parameter ( sql_rc_e866             = -866 )

* connection already exists
       integer*2   sql_rc_e868
       parameter ( sql_rc_e868             = -868 )

* savepoint does not exist or is invalid
       integer*2   sql_rc_e880
       parameter ( sql_rc_e880             = -880 )

* savepoint name cannot be reused
       integer*2   sql_rc_e881
       parameter ( sql_rc_e881             = -881 )

* savepoint does not exist
       integer*2   sql_rc_e882
       parameter ( sql_rc_e882             = -882 )


* non-fatal system error
       integer*2   sql_rc_e901
       parameter ( sql_rc_e901             = -901 )

* fatal error
       integer*2   sql_rc_e902
       parameter ( sql_rc_e902             = -902 )

* commit failed, rollback
       integer*2   sql_rc_e903
       parameter ( sql_rc_e903             = -903 )

* resource unavailable
       integer*2   sql_rc_e904
       parameter ( sql_rc_e904             = -904 )

* resource limit exceeded
       integer*2   sql_rc_e905
       parameter ( sql_rc_e905             = -905 )

* function disabled
       integer*2   sql_rc_e906
       parameter ( sql_rc_e906             = -906 )

* BIND operation not allowed
       integer*2   sql_rc_e908
       parameter ( sql_rc_e908             = -908 )

* object deleted
       integer*2   sql_rc_e909
       parameter ( sql_rc_e909             = -909 )

* drop pending
       integer*2   sql_rc_e910
       parameter ( sql_rc_e910             = -910 )

* deadlock
       integer*2   sql_rc_e911
       parameter ( sql_rc_e911             = -911 )

* too many lock requests
       integer*2   sql_rc_e912
       parameter ( sql_rc_e912             = -912 )

* dist env rollback     
       integer*2   sql_rc_e913
       parameter ( sql_rc_e913             = -913 )

* remote rebind from DRDA failed
       integer*2   sql_rc_e917
       parameter ( sql_rc_e917             = -917 )

* ROLLBACK required
       integer*2   sql_rc_e918
       parameter ( sql_rc_e918             = -918 )

* reject DB connection to SA REQ
       integer*2   sql_rc_e920
       parameter ( sql_rc_e920             = -920 )

* COMMIT not allowed
       integer*2   sql_rc_e925
       parameter ( sql_rc_e925             = -925 )

* ROLLBACK not allowed
       integer*2   sql_rc_e926
       parameter ( sql_rc_e926             = -926 )

* insufficient storage
       integer*2   sql_rc_e930
       parameter ( sql_rc_e930             = -930 )

* all inodes used, system limit
       integer*2   sql_rc_inode
       parameter ( sql_rc_inode            = -931 )

* cursors active on dropped object
       integer*2   sql_rc_e950
       parameter ( sql_rc_e950             = -950 )

* table in use - alter disallowed
       integer*2   sql_rc_e951
       parameter ( sql_rc_e951             = -951 )

* user cancel
       integer*2   sql_rc_e952
       parameter ( sql_rc_e952             = -952 )

* agent heap too small
       integer*2   sql_rc_e953
       parameter ( sql_rc_e953             = -953 )

* application heap too small
       integer*2   sql_rc_e954
       parameter ( sql_rc_e954             = -954 )

* sort heap error
       integer*2   sql_rc_e955
       parameter ( sql_rc_e955             = -955 )

* database heap too small
       integer*2   sql_rc_e956
       parameter ( sql_rc_e956             = -956 )

* max number of files open
       integer*2   sql_rc_e958
       parameter ( sql_rc_e958             = -958 )

* server comm heap too small
       integer*2   sql_rc_e959
       parameter ( sql_rc_e959             = -959 )

* max nbr of files in database
       integer*2   sql_rc_e960
       parameter ( sql_rc_e960             = -960 )

* log file full
       integer*2   sql_rc_e964
       parameter ( sql_rc_e964             = -964 )

* error opening sqlcode mapping file
       integer*2   sql_rc_e966
       parameter ( sql_rc_e966             = -966 )

* format error in sqlcode map file
       integer*2   sql_rc_e967
       parameter ( sql_rc_e967             = -967 )

* disk full
       integer*2   sql_rc_e968
       parameter ( sql_rc_e968             = -968 )

* unknown sql error another product
       integer*2   sql_rc_e969
       parameter ( sql_rc_e969             = -969 )

* read-only file
       integer*2   sql_rc_e970
       parameter ( sql_rc_e970             = -970 )


* incorrect diskette
       integer*2   sql_rc_e972_db2aix
       parameter ( sql_rc_e972_db2aix      = -10019 )

* incorrect diskette
       integer*2   sql_rc_e972_db2os2
       parameter ( sql_rc_e972_db2os2      = -972 )

* incorrect diskette
       integer*2   sql_rc_e972
       parameter ( sql_rc_e972             = -10019 )


* out of memory error
       integer*2   sql_rc_e973
       parameter ( sql_rc_e973             = -973 )

* out of memory warning
       integer*2   sql_rc_w973
       parameter ( sql_rc_w973             = 973 )


* drive locked
       integer*2   sql_rc_e974_db2aix
       parameter ( sql_rc_e974_db2aix      = -10019 )

* drive locked
       integer*2   sql_rc_e974_db2os2
       parameter ( sql_rc_e974_db2os2      = -974 )

* drive locked
       integer*2   sql_rc_e974
       parameter ( sql_rc_e974             = -10019 )


* quiesce backup
       integer*2   sql_rc_qback
       parameter ( sql_rc_qback            = -975 )


* diskette door open
       integer*2   sql_rc_e976_db2aix
       parameter ( sql_rc_e976_db2aix      = -10019 )

* diskette door open
       integer*2   sql_rc_e976_db2os2
       parameter ( sql_rc_e976_db2os2      = -976 )

* diskette door open
       integer*2   sql_rc_e976
       parameter ( sql_rc_e976             = -10019 )


* unknown commit state
       integer*2   sql_rc_e977
       parameter ( sql_rc_e977             = -977 )

* diskette write-protected
       integer*2   sql_rc_e978_db2aix
       parameter ( sql_rc_e978_db2aix      = -10019 )

* diskette write-protected
       integer*2   sql_rc_e978_db2os2
       parameter ( sql_rc_e978_db2os2      = -978 )

* diskette write-protected
       integer*2   sql_rc_e978
       parameter ( sql_rc_e978             = -10019 )


* commit failed with SYNCPOINT NONE
       integer*2   sql_rc_e979
       parameter ( sql_rc_e979             = -979 )

* disk error
       integer*2   sql_rc_e980
       parameter ( sql_rc_e980             = -980 )

* disk error on temp file
       integer*2   sql_rc_e982
       parameter ( sql_rc_e982             = -982 )

* unsuccessful commit or rollback
       integer*2   sql_rc_e984
       parameter ( sql_rc_e984             = -984 )

* file error - catalog file bad
       integer*2   sql_rc_e985
       parameter ( sql_rc_e985             = -985 )

* file error - file renamed
       integer*2   sql_rc_e986
       parameter ( sql_rc_e986             = -986 )

* application shared memory cannot be allocated
       integer*2   sql_rc_e987
       parameter ( sql_rc_e987             = -987 )

* index structure limit error
       integer*2   sql_rc_e990
       parameter ( sql_rc_e990             = -990 )

* release number incompatible
       integer*2   sql_rc_e992
       parameter ( sql_rc_e992             = -992 )

* reserved
       integer*2   sql_rc_e994
       parameter ( sql_rc_e994             = -994 )

* error freeing pages in DMS tablespace
       integer*2   sql_rc_e996
       parameter ( sql_rc_e996             = -996 )

* General XA error
       integer*2   sql_rc_e998
       parameter ( sql_rc_e998             = -998 )


* error finding pages in DMS tablespace
       integer*2   sql_rc_e1007
       parameter ( sql_rc_e1007            = -1007 )

* invalid tablespace id
       integer*2   sql_rc_e1008
       parameter ( sql_rc_e1008            = -1008 )

* domain is not defined in DB2DOMAINLIST
       integer*2   sql_rc_e1068
       parameter ( sql_rc_e1068            = -1068 )

* table space maximum size exceeded
       integer*2   sql_rc_e1139
       parameter ( sql_rc_e1139            = -1139 )

* dynamically prepared statement not supported
       integer*2   sql_rc_e1145
       parameter ( sql_rc_e1145            = -1145 )

* table cannot be enabled for data capture
       integer*2   sql_rc_e1163
       parameter ( sql_rc_e1163            = -1163 )

* FEDERATED does not reference nickname or OLE DB function
       integer*2   sql_rc_e1178
       parameter ( sql_rc_e1178            = -1178 )

* UDF caused an OLE error
       integer*2   sql_rc_e1180
       parameter ( sql_rc_e1180            = -1180 )

* UDF raised an exception
       integer*2   sql_rc_e1181
       parameter ( sql_rc_e1181            = -1181 )

* UDF cannot initialize source object of OLE DB
       integer*2   sql_rc_e1182
       parameter ( sql_rc_e1182            = -1182 )

* UDF received OLE DB error
       integer*2   sql_rc_e1183
       parameter ( sql_rc_e1183            = -1183 )

* EXPLAIN table(s) created with earlier EXPLAIN.DDL
       integer*2   sql_rc_e1184
       parameter ( sql_rc_e1184            = -1184 )

* FEDERATED clause needed to bind package
       integer*2   sql_rc_e1185
       parameter ( sql_rc_e1185            = -1185 )

* FEDERATED needed with nickname or OLE DB function
       integer*2   sql_rc_e1186
       parameter ( sql_rc_e1186            = -1186 )


* invalid use of graphic data
       integer*2   sql_rc_e1216
       parameter ( sql_rc_e1216            = -1216 )

* REAL data type not supported
       integer*2   sql_rc_e1217
       parameter ( sql_rc_e1217            = -1217 )

* no bufferpool pages available
       integer*2   sql_rc_e1218
       parameter ( sql_rc_e1218            = -1218 )

* out of private memory
       integer*2   sql_rc_e1219
       parameter ( sql_rc_e1219            = -1219 )

* max number of agents started
       integer*2   sql_rc_e1226
       parameter ( sql_rc_e1226            = -1226 )

* Updatale cat values inv
       integer*2   sql_rc_e1227
       parameter ( sql_rc_e1227            = -1227 )

* System error rollback
       integer*2   sql_rc_e1229
       parameter ( sql_rc_e1229            = -1229 )

* Graphic data that is not UCS-2 is not supported
       integer*2   sql_rc_e1233
       parameter ( sql_rc_e1233            = -1233 )

* Disconn at next commit
       integer*2   sql_rc_w1244
       parameter ( sql_rc_w1244            = 1244 )

* Max client connects
       integer*2   sql_rc_e1245
       parameter ( sql_rc_e1245            = -1245 )

* XA TM uses syncpoint 2
       integer*2   sql_rc_e1247
       parameter ( sql_rc_e1247            = -1247 )

* db not defined with TM
       integer*2   sql_rc_e1248
       parameter ( sql_rc_e1248            = -1248 )

* DB2CLIENTCOMM env var inv
       integer*2   sql_rc_e1290
       parameter ( sql_rc_e1290            = -1290 )

* direcory services error
       integer*2   sql_rc_e1291
       parameter ( sql_rc_e1291            = -1291 )

* global dir error
       integer*2   sql_rc_e1293
       parameter ( sql_rc_e1293            = -1293 )

* global dir path invalid
       integer*2   sql_rc_e1294
       parameter ( sql_rc_e1294            = -1294 )

* global dir router invalid
       integer*2   sql_rc_e1295
       parameter ( sql_rc_e1295            = -1295 )


* Not Atomic Compound SQL error(s)
       integer*2   sql_rc_e1339
       parameter ( sql_rc_e1339            = -1339 )


* Unexpected Kerberos security error
       integer*2   sql_rc_e1380
       parameter ( sql_rc_e1380            = -1380 )

* Security support interface not available
       integer*2   sql_rc_e1381
       parameter ( sql_rc_e1381            = -1381 )

* The Kerberos support not available
       integer*2   sql_rc_e1382
       parameter ( sql_rc_e1382            = -1382 )

* Invalid target principal name
       integer*2   sql_rc_e1383
       parameter ( sql_rc_e1383            = -1383 )

* Unable to complete mutual authentication
       integer*2   sql_rc_e1384
       parameter ( sql_rc_e1384            = -1384 )


* too many concat operators
       integer*2   sql_rc_e1420
       parameter ( sql_rc_e1420            = -1420 )

* MBCS conversion error
       integer*2   sql_rc_e1421
       parameter ( sql_rc_e1421            = -1421 )

* Container wrong size
       integer*2   sql_rc_e1422
       parameter ( sql_rc_e1422            = -1422 )

* no blobs for dwn lvl cl
       integer*2   sql_rc_e1423
       parameter ( sql_rc_e1423            = -1423 )

* too many transition tbles
       integer*2   sql_rc_e1424
       parameter ( sql_rc_e1424            = -1424 )

* 32 / 64 bit connect incompatible
       integer*2   sql_rc_e1434
       parameter ( sql_rc_e1434            = -1434 )


* only valid for sync mgr connection
       integer*2   sql_rc_e1462
       parameter ( sql_rc_e1462            = -1462 )


* SUSPEND WRITE command failed
       integer*2   sql_rc_e1550
       parameter ( sql_rc_e1550            = -1550 )

* RESUME WRITE command failed
       integer*2   sql_rc_e1551
       parameter ( sql_rc_e1551            = -1551 )

* RESTART command failed; database is in SUSPEND WRITE
       integer*2   sql_rc_e1552
       parameter ( sql_rc_e1552            = -1552 )

* DB2STOP command failed; database is in SUSPEND WRITE
       integer*2   sql_rc_e1553
       parameter ( sql_rc_e1553            = -1553 )

* table cannot be in append mode with clustering index
       integer*2   sql_rc_e1581
       parameter ( sql_rc_e1581            = -1581 )

* pagesize of table space doesn't match bufferpool
       integer*2   sql_rc_e1582
       parameter ( sql_rc_e1582            = -1582 )

* pagesize not supported
       integer*2   sql_rc_e1583
       parameter ( sql_rc_e1583            = -1583 )

* temporary table space cannot be found
       integer*2   sql_rc_e1584
       parameter ( sql_rc_e1584            = -1584 )

* No temp table space with sufficient page size
       integer*2   sql_rc_e1585
       parameter ( sql_rc_e1585            = -1585 )

* ON option of SET INTEGRITY invalid
       integer*2   sql_rc_e1591
       parameter ( sql_rc_e1591            = -1591 )

* INCREMENTAL option invalid
       integer*2   sql_rc_e1592
       parameter ( sql_rc_e1592            = -1592 )

* REMAIN PENDING option invalid
       integer*2   sql_rc_e1593
       parameter ( sql_rc_e1593            = -1593 )

* table integrity cannot be checked
       integer*2   sql_rc_e1595
       parameter ( sql_rc_e1595            = -1595 )

* WITH EMPTY TABLE option not allowed because of dependent REFRESH IMMEDIATE
* table 
       integer*2   sql_rc_e1596
       parameter ( sql_rc_e1596            = -1596 )


* The table is not created with NOT LOGGED INITIALLY
       integer*2   sql_rc_e1749
       parameter ( sql_rc_e1749            = -1749 )


* foreign keys not allowed for tables created not logged initially
       integer*2   sql_rc_e1750
       parameter ( sql_rc_e1750            = -1750 )

* nodegroups must have at least one node
       integer*2   sql_rc_e1751
       parameter ( sql_rc_e1751            = -1751 )

* tablespace not created in the correct nodegroup
       integer*2   sql_rc_e1752
       parameter ( sql_rc_e1752            = -1752 )

* a node does not have the complete temporary tablespaces
       integer*2   sql_rc_e1753
       parameter ( sql_rc_e1753            = -1753 )

* all tablespace in CREATE TABLE must be in the same nodegroup
       integer*2   sql_rc_e1754
       parameter ( sql_rc_e1754            = -1754 )

* more than one clause specifies containers without ON NODES clause
       integer*2   sql_rc_e1756
       parameter ( sql_rc_e1756            = -1756 )

* missing USING clause without ON NODES clause
       integer*2   sql_rc_e1757
       parameter ( sql_rc_e1757            = -1757 )

* missing clause for create stored procedure
       integer*2   sql_rc_e1760
       parameter ( sql_rc_e1760            = -1760 )

* nodegroup not defined for buffer pool
       integer*2   sql_rc_e1761
       parameter ( sql_rc_e1761            = -1761 )

* not enough disk space for connect
       integer*2   sql_rc_e1762
       parameter ( sql_rc_e1762            = -1762 )

* cannot specify multiple ALTER TABLESPACE actions
       integer*2   sql_rc_e1763
       parameter ( sql_rc_e1763            = -1763 )

* cannot specify a smaller container size
       integer*2   sql_rc_e1764
       parameter ( sql_rc_e1764            = -1764 )


* operation cannot be executed in No Package Lock mode
       integer*2   sql_rc_e1803
       parameter ( sql_rc_e1803            = -1803 )

* Wrapper cannot be used to access data source
       integer*2   sql_rc_e1816
       parameter ( sql_rc_e1816            = -1816 )

* CREATE SERVER statement does not identify data source
       integer*2   sql_rc_e1817
       parameter ( sql_rc_e1817            = -1817 )

* ALTER SERVER statement cannot be processed
       integer*2   sql_rc_e1818
       parameter ( sql_rc_e1818            = -1818 )

* DROP SERVER statement cannot be processed
       integer*2   sql_rc_e1819
       parameter ( sql_rc_e1819            = -1819 )

* Action on LOB value failed
       integer*2   sql_rc_e1820
       parameter ( sql_rc_e1820            = -1820 )

* Unexpected error from data source
       integer*2   sql_rc_e1822
       parameter ( sql_rc_e1822            = -1822 )

* No data type mapping exists for server
       integer*2   sql_rc_e1823
       parameter ( sql_rc_e1823            = -1823 )

* Statement cannot be handled by Datajoiner
       integer*2   sql_rc_e1825
       parameter ( sql_rc_e1825            = -1825 )

* Invalid value for system catalog column
       integer*2   sql_rc_e1826
       parameter ( sql_rc_e1826            = -1826 )

* user mapping undefined
       integer*2   sql_rc_e1827
       parameter ( sql_rc_e1827            = -1827 )

* server option undefined
       integer*2   sql_rc_e1828
       parameter ( sql_rc_e1828            = -1828 )


* TCPIP not running
       integer*2   sql_rc_no_tcpip
       parameter ( sql_rc_no_tcpip         = -1468 )

* invalid node
       integer*2   sql_rc_node_invalid
       parameter ( sql_rc_node_invalid     = -1469 )

* DB2NODE env var invalid
       integer*2   sql_rc_db2node_invalid
       parameter ( sql_rc_db2node_invalid  = -1470 )

* nodes out of sync
       integer*2   sql_rc_log_mismatch
       parameter ( sql_rc_log_mismatch     = -1471 )

* connect fail, system clocks out of sync
       integer*2   sql_rc_timediff_ca
       parameter ( sql_rc_timediff_ca      = -1472 )

* commit fail, system clocks out of sync
       integer*2   sql_rc_timediff_co
       parameter ( sql_rc_timediff_co      = -1473 )

* transaction OK, system clocks out of sync
       integer*2   sql_rc_timediff_w
       parameter ( sql_rc_timediff_w       = -1474 )

* rollback on table error
       integer*2   sql_rc_e1476
       parameter ( sql_rc_e1476            = -1476 )

* table not accessible
       integer*2   sql_rc_e1477
       parameter ( sql_rc_e1477            = -1477 )


* LONG not allowed on devices
       integer*2   sql_rc_e1590
       parameter ( sql_rc_e1590            = -1590 )

* RETURNS clause must be specified before EXPRESSION AS
       integer*2   sql_rc_e1830
       parameter ( sql_rc_e1830            = -1830 )

* Cannot update table stats for subtable
       integer*2   sql_rc_e1831
       parameter ( sql_rc_e1831            = -1831 )

* data filter function cannot be LANGUAGE SQL
       integer*2   sql_rc_e1832
       parameter ( sql_rc_e1832            = -1832 )

* option is not valid for this data source
       integer*2   sql_rc_e1881
       parameter ( sql_rc_e1881            = -1881 )

* option is not valid for this data source
       integer*2   sql_rc_e1882
       parameter ( sql_rc_e1882            = -1882 )

* Missing option for this data source
       integer*2   sql_rc_e1883
       parameter ( sql_rc_e1883            = -1883 )

* Option specified more than once
       integer*2   sql_rc_e1884
       parameter ( sql_rc_e1884            = -1884 )

* option is already defined
       integer*2   sql_rc_e1885
       parameter ( sql_rc_e1885            = -1885 )

* option has not been added
       integer*2   sql_rc_e1886
       parameter ( sql_rc_e1886            = -1886 )

* SPECIFICATION ONLY clause required
       integer*2   sql_rc_e1887
       parameter ( sql_rc_e1887            = -1887 )


* cannot add/drop DB2 Data Links Manager
       integer*2   sql_rc_e2078
       parameter ( sql_rc_e2078            = -2078 )


* incorrect syntax or password for filtering
       integer*2   sql_rc_e2180
       parameter ( sql_rc_e2180            = -2180 )

* internal error occurred during filter recovery
       integer*2   sql_rc_e2181
       parameter ( sql_rc_e2181            = -2181 )


* Invalid user format in filetmod
       integer*2   sql_rc_e3191
       parameter ( sql_rc_e3191            = -3191 )

* Invalid user format in filetmod
       integer*2   sql_rc_e3192
       parameter ( sql_rc_e3192            = -3192 )


* Cannot import replace parent
       integer*2   sql_rc_e3201
       parameter ( sql_rc_e3201            = -3201 )

* Unexpected LDAP error
       integer*2   sql_rc_e3260
       parameter ( sql_rc_e3260            = -3260 )

* Missing required parameters
       integer*2   sql_rc_e3261
       parameter ( sql_rc_e3261            = -3261 )

* The TCP/IP service name is not valid
       integer*2   sql_rc_e3262
       parameter ( sql_rc_e3262            = -3262 )

* The protocol type is not supported
       integer*2   sql_rc_e3263
       parameter ( sql_rc_e3263            = -3263 )

* The DB2 server has not been registered in LDAP
       integer*2   sql_rc_e3264
       parameter ( sql_rc_e3264            = -3264 )

* LDAP authentication error
       integer*2   sql_rc_e3265
       parameter ( sql_rc_e3265            = -3265 )

* Insufficient LDAP authority
       integer*2   sql_rc_e3267
       parameter ( sql_rc_e3267            = -3267 )

* LDAP schema is not compatible
       integer*2   sql_rc_e3268
       parameter ( sql_rc_e3268            = -3268 )

* The LDAP server is not available
       integer*2   sql_rc_e3269
       parameter ( sql_rc_e3269            = -3269 )

* LDAP user's DN is invalid
       integer*2   sql_rc_e3270
       parameter ( sql_rc_e3270            = -3270 )

* LDAP user's DN or password is not configured
       integer*2   sql_rc_e3271
       parameter ( sql_rc_e3271            = -3271 )

* The LDAP node was not found
       integer*2   sql_rc_e3272
       parameter ( sql_rc_e3272            = -3272 )

* The LDAP database was not found
       integer*2   sql_rc_e3273
       parameter ( sql_rc_e3273            = -3273 )

* Unable to obtain the LDAP naming context
       integer*2   sql_rc_e3276
       parameter ( sql_rc_e3276            = -3276 )

* The database already exists
       integer*2   sql_rc_e3277
       parameter ( sql_rc_e3277            = -3277 )

* The node already exists
       integer*2   sql_rc_e3278
       parameter ( sql_rc_e3278            = -3278 )

* LDAP is disabled
       integer*2   sql_rc_e3279
       parameter ( sql_rc_e3279            = -3279 )

* Attempt to connect to a DRDA server failed.
       integer*2   sql_rc_e3280
       parameter ( sql_rc_e3280            = -3280 )

* The operating system type is invalid
       integer*2   sql_rc_e3281
       parameter ( sql_rc_e3281            = -3281 )

* The supplied credentials are not valid.
       integer*2   sql_rc_e3282
       parameter ( sql_rc_e3282            = -3282 )

* The node type is not supported
       integer*2   sql_rc_e3284
       parameter ( sql_rc_e3284            = -3284 )


* Table not in check pend state
       integer*2   sql_rc_e3600
       parameter ( sql_rc_e3600            = -3600 )

* Auto Check pending state
       integer*2   sql_rc_w3601
       parameter ( sql_rc_w3601            = 3601 )

* Constraint violation moved
       integer*2   sql_rc_w3602
       parameter ( sql_rc_w3602            = 3602 )

* Constraint Violations
       integer*2   sql_rc_e3603
       parameter ( sql_rc_e3603            = -3603 )

* Invalid Exception Table
       integer*2   sql_rc_e3604
       parameter ( sql_rc_e3604            = -3604 )

* Exception Table same as Check Table
       integer*2   sql_rc_e3605
       parameter ( sql_rc_e3605            = -3605 )

* # check & exception tables not match
       integer*2   sql_rc_e3606
       parameter ( sql_rc_e3606            = -3606 )

* Parent in Check Pending state
       integer*2   sql_rc_e3608
       parameter ( sql_rc_e3608            = -3608 )


* Invalid SQL sub-statement in Compound SQL
       integer*2   sql_rc_e4011
       parameter ( sql_rc_e4011            = -4011 )

* A 'long' host variable is not valid - use 'sqlint32' instead.
       integer*2   sql_rc_e4020
       parameter ( sql_rc_e4020            = -4020 )


* Java support not installed
       integer*2   sql_rc_e4300
       parameter ( sql_rc_e4300            = -4300 )

* Java startup, comm, shutdown failed
       integer*2   sql_rc_e4301
       parameter ( sql_rc_e4301            = -4301 )

* Java unclassified exception
       integer*2   sql_rc_e4302
       parameter ( sql_rc_e4302            = -4302 )

* Java could not parse class!method
       integer*2   sql_rc_e4303
       parameter ( sql_rc_e4303            = -4303 )

* Java could not instantiate class
       integer*2   sql_rc_e4304
       parameter ( sql_rc_e4304            = -4304 )

* Java internal error code
       integer*2   sql_rc_e4305
       parameter ( sql_rc_e4305            = -4305 )

* Java cannot call method
       integer*2   sql_rc_e4306
       parameter ( sql_rc_e4306            = -4306 )

* Java method call problems
       integer*2   sql_rc_e4307
       parameter ( sql_rc_e4307            = -4307 )


* Host variable is not exact numeric type
       integer*2   sql_rc_e5012
       parameter ( sql_rc_e5012            = -5012 )

* Invalid qualifier specified in CREATE SCHEMA
       integer*2   sql_rc_e5051
       parameter ( sql_rc_e5051            = -5051 )


* Pass-through not supported for server type
       integer*2   sql_rc_e5185
       parameter ( sql_rc_e5185            = -5185 )


* Unable to open vendor configuration file
       integer*2   sql_rc_e5500
       parameter ( sql_rc_e5500            = -5500 )

* Format of vendor configuration file is wrong
       integer*2   sql_rc_e5501
       parameter ( sql_rc_e5501            = -5501 )


* Insufficient FCM buffers
       integer*2   sql_rc_e6040
       parameter ( sql_rc_e6040            = -6040 )

* Insufficient FCM connection entries
       integer*2   sql_rc_e6041
       parameter ( sql_rc_e6041            = -6041 )

* Insufficient FCM message anchors
       integer*2   sql_rc_e6042
       parameter ( sql_rc_e6042            = -6042 )

* Insufficient FCM request blocks
       integer*2   sql_rc_e6043
       parameter ( sql_rc_e6043            = -6043 )

* New node requires stop and start
       integer*2   sql_rc_e6071
       parameter ( sql_rc_e6071            = -6071 )


* SQL Procedure not created       
       integer*2   sql_rc_e7032
       parameter ( sql_rc_e7032            = -7032 )


* not licensed for TCP/IP connections.
       integer*2   sql_rc_e8014
       parameter ( sql_rc_e8014            = -8014 )

* not licensed for multiple database updates per transaction
       integer*2   sql_rc_e8015
       parameter ( sql_rc_e8015            = -8015 )


* Page number too high
       integer*2   sql_rc_e8100
       parameter ( sql_rc_e8100            = -8100 )

* Segment in error
       integer*2   sql_rc_e8101
       parameter ( sql_rc_e8101            = -8101 )


* internal object limit exceeded
       integer*2   sql_rc_e20005
       parameter ( sql_rc_e20005           = -20005 )

* mutation methd not allowed
       integer*2   sql_rc_e20010
       parameter ( sql_rc_e20010           = -20010 )

* transform for data type already exists
       integer*2   sql_rc_e20011
       parameter ( sql_rc_e20011           = -20011 )

* no transforms were dropped
       integer*2   sql_rc_e20012
       parameter ( sql_rc_e20012           = -20012 )

* Invalid object for supertype
       integer*2   sql_rc_e20013
       parameter ( sql_rc_e20013           = -20013 )

* function cannot be used as transform function
       integer*2   sql_rc_e20014
       parameter ( sql_rc_e20014           = -20014 )

* transform for type not defined
       integer*2   sql_rc_e20015
       parameter ( sql_rc_e20015           = -20015 )

* column length value too small
       integer*2   sql_rc_e20016
       parameter ( sql_rc_e20016           = -20016 )

* Hierarchy too deep
       integer*2   sql_rc_e20017
       parameter ( sql_rc_e20017           = -20017 )

* row function must return at most one row
       integer*2   sql_rc_e20018
       parameter ( sql_rc_e20018           = -20018 )

* result type cannot be assigned to RETURN type
       integer*2   sql_rc_e20019
       parameter ( sql_rc_e20019           = -20019 )

* Invalid operation for typed table
       integer*2   sql_rc_e20020
       parameter ( sql_rc_e20020           = -20020 )

* Cannot change inherited column
       integer*2   sql_rc_e20021
       parameter ( sql_rc_e20021           = -20021 )

* SCOPE already defined
       integer*2   sql_rc_e20022
       parameter ( sql_rc_e20022           = -20022 )

* SCOPE not allowed for parameter
       integer*2   sql_rc_e20023
       parameter ( sql_rc_e20023           = -20023 )

* SCOPE not valid for reference
       integer*2   sql_rc_e20024
       parameter ( sql_rc_e20024           = -20024 )

* Incorrect SCOPE for RETURNS
       integer*2   sql_rc_e20025
       parameter ( sql_rc_e20025           = -20025 )

* Type is not a structured type
       integer*2   sql_rc_e20026
       parameter ( sql_rc_e20026           = -20026 )

* Subtable already exists of type
       integer*2   sql_rc_e20027
       parameter ( sql_rc_e20027           = -20027 )

* Subtable schema incorrect
       integer*2   sql_rc_e20028
       parameter ( sql_rc_e20028           = -20028 )

* Invalid operation for subtable
       integer*2   sql_rc_e20029
       parameter ( sql_rc_e20029           = -20029 )

* Attrs cannot be altered when in use
       integer*2   sql_rc_e20030
       parameter ( sql_rc_e20030           = -20030 )

* Invalid object for subtable
       integer*2   sql_rc_e20031
       parameter ( sql_rc_e20031           = -20031 )

* Invalid index columns for subtable
       integer*2   sql_rc_e20032
       parameter ( sql_rc_e20032           = -20032 )

* Unscoped reference
       integer*2   sql_rc_e20033
       parameter ( sql_rc_e20033           = -20033 )

* Invalid TYPE predicate
       integer*2   sql_rc_e20034
       parameter ( sql_rc_e20034           = -20034 )

* Invalid path expression
       integer*2   sql_rc_e20035
       parameter ( sql_rc_e20035           = -20035 )

* Path includes OID column
       integer*2   sql_rc_e20036
       parameter ( sql_rc_e20036           = -20036 )

* REF IS column must be defined
       integer*2   sql_rc_e20037
       parameter ( sql_rc_e20037           = -20037 )

* ASC or DESC cannot be specified
       integer*2   sql_rc_e20038
       parameter ( sql_rc_e20038           = -20038 )

* definition of index does not match extension
       integer*2   sql_rc_e20039
       parameter ( sql_rc_e20039           = -20039 )

* number or type of result inconsistent
       integer*2   sql_rc_e20040
       parameter ( sql_rc_e20040           = -20040 )

* number or type of parameters does not match
       integer*2   sql_rc_e20041
       parameter ( sql_rc_e20041           = -20041 )

* maximum allowable parameters exceeded
       integer*2   sql_rc_e20042
       parameter ( sql_rc_e20042           = -20042 )

* argument for function is invalid
       integer*2   sql_rc_e20043
       parameter ( sql_rc_e20043           = -20043 )

* function not supported in CREATE INDEX EXTENSION
       integer*2   sql_rc_e20044
       parameter ( sql_rc_e20044           = -20044 )

* datatype of instance parameter invalid
       integer*2   sql_rc_e20045
       parameter ( sql_rc_e20045           = -20045 )

* SELECTIVITY clause needs user-defined predicate
       integer*2   sql_rc_e20046
       parameter ( sql_rc_e20046           = -20046 )

* search method not found
       integer*2   sql_rc_e20047
       parameter ( sql_rc_e20047           = -20047 )

* search method argument mismatch
       integer*2   sql_rc_e20048
       parameter ( sql_rc_e20048           = -20048 )

* operand type mismatch
       integer*2   sql_rc_e20049
       parameter ( sql_rc_e20049           = -20049 )

* search target or search argument mismatch
       integer*2   sql_rc_e20050
       parameter ( sql_rc_e20050           = -20050 )

* argument cannot be both search target and search argument
       integer*2   sql_rc_e20051
       parameter ( sql_rc_e20051           = -20051 )

* Cannot update OID column
       integer*2   sql_rc_e20052
       parameter ( sql_rc_e20052           = -20052 )

* Fullselect in typed view is not valid
       integer*2   sql_rc_e20053
       parameter ( sql_rc_e20053           = -20053 )

* Invalid state for operation
       integer*2   sql_rc_e20054
       parameter ( sql_rc_e20054           = -20054 )

* Result column data type not compatible
       integer*2   sql_rc_e20055
       parameter ( sql_rc_e20055           = -20055 )

* Processing error on file server
       integer*2   sql_rc_e20056
       parameter ( sql_rc_e20056           = -20056 )

* column cannot be defined as read only
       integer*2   sql_rc_e20057
       parameter ( sql_rc_e20057           = -20057 )

* fullselect for summary table is invalid
       integer*2   sql_rc_e20058
       parameter ( sql_rc_e20058           = -20058 )

* key transform function generated duplicate rows
       integer*2   sql_rc_e20060
       parameter ( sql_rc_e20060           = -20060 )

* transform function not valid for function or method
       integer*2   sql_rc_e20062
       parameter ( sql_rc_e20062           = -20062 )

* TRANSFORM GROUP clause is required
       integer*2   sql_rc_e20063
       parameter ( sql_rc_e20063           = -20063 )

* specified transform group clause is not used
       integer*2   sql_rc_e20064
       parameter ( sql_rc_e20064           = -20064 )

* transform group cannot be used with client application
       integer*2   sql_rc_e20065
       parameter ( sql_rc_e20065           = -20065 )

* transform function not defined in transform group
       integer*2   sql_rc_e20066
       parameter ( sql_rc_e20066           = -20066 )

* transform function defined more than once in transform group
       integer*2   sql_rc_e20067
       parameter ( sql_rc_e20067           = -20067 )

* structured type cannot depend on itself
       integer*2   sql_rc_e20068
       parameter ( sql_rc_e20068           = -20068 )

* returns type not same as subject type
       integer*2   sql_rc_e20069
       parameter ( sql_rc_e20069           = -20069 )

* index not created, column length too long
       integer*2   sql_rc_e20075
       parameter ( sql_rc_e20075           = -20075 )

* instance not enabled for operation
       integer*2   sql_rc_e20076
       parameter ( sql_rc_e20076           = -20076 )

* Cannot construct object with Datalink or Reference type attributes
       integer*2   sql_rc_e20077
       parameter ( sql_rc_e20077           = -20077 )

* operation cannot be applied to object
       integer*2   sql_rc_e20078
       parameter ( sql_rc_e20078           = -20078 )

* method specification cannot be dropped
       integer*2   sql_rc_e20080
       parameter ( sql_rc_e20080           = -20080 )

* method body must correspond to specfication language
       integer*2   sql_rc_e20081
       parameter ( sql_rc_e20081           = -20081 )

* dynamic type is not a subtype of target
       integer*2   sql_rc_e20082
       parameter ( sql_rc_e20082           = -20082 )

* returned data type does not match RESULT
       integer*2   sql_rc_e20083
       parameter ( sql_rc_e20083           = -20083 )

* routine would override an existing method
       integer*2   sql_rc_e20084
       parameter ( sql_rc_e20084           = -20084 )

* Java routine cannot have structured type parameter or returns type
       integer*2   sql_rc_e20085
       parameter ( sql_rc_e20085           = -20085 )

* Length of structured type exceeds limit
       integer*2   sql_rc_e20086
       parameter ( sql_rc_e20086           = -20086 )

* DEFAULT or NULL cannot be used in an attribute assignment
       integer*2   sql_rc_e20087
       parameter ( sql_rc_e20087           = -20087 )

* method name and structured type name match
       integer*2   sql_rc_e20089
       parameter ( sql_rc_e20089           = -20089 )

* conversion error between summary table and regular table
       integer*2   sql_rc_e20093
       parameter ( sql_rc_e20093           = -20093 )

* GENERATED column cannot be referenced in BEFORE trigger
       integer*2   sql_rc_e20094
       parameter ( sql_rc_e20094           = -20094 )


* result set contains unsupported data type
       integer*2   sql_rc_e20108
       parameter ( sql_rc_e20108           = -20108 )

* SAVEPOINT statement is not allowed in this context
       integer*2   sql_rc_e20111
       parameter ( sql_rc_e20111           = -20111 )

* nested savepoint is not allowed
       integer*2   sql_rc_e20112
       parameter ( sql_rc_e20112           = -20112 )

* cannot return null from SELF AS RESULT method
       integer*2   sql_rc_e20113
       parameter ( sql_rc_e20113           = -20113 )

* routine cannot be used as a transform function
       integer*2   sql_rc_e20115
       parameter ( sql_rc_e20115           = -20115 )

* search target and source key data types do not match
       integer*2   sql_rc_e20116
       parameter ( sql_rc_e20116           = -20116 )

* window specification for an OLAP function invalid
       integer*2   sql_rc_e20117
       parameter ( sql_rc_e20117           = -20117 )

* maximum number of attributes exceeded
       integer*2   sql_rc_e20118
       parameter ( sql_rc_e20118           = -20118 )

* row function must return at least two columns
       integer*2   sql_rc_e20119
       parameter ( sql_rc_e20119           = -20119 )

* SQL table function must return a table
       integer*2   sql_rc_e20120
       parameter ( sql_rc_e20120           = -20120 )

* WITH RETURN and SCROLL specified for a single cursor
       integer*2   sql_rc_e20121
       parameter ( sql_rc_e20121           = -20121 )

* stored procedure cursor error
       integer*2   sql_rc_e20123
       parameter ( sql_rc_e20123           = -20123 )

* operation must be performed on SQL routine
       integer*2   sql_rc_e20133
       parameter ( sql_rc_e20133           = -20133 )

* SQL archive could not be created on server
       integer*2   sql_rc_e20134
       parameter ( sql_rc_e20134           = -20134 )

* SQL archive does not match target environment
       integer*2   sql_rc_e20135
       parameter ( sql_rc_e20135           = -20135 )

* Sequence cannot be used as specified
       integer*2   sql_rc_e20142
       parameter ( sql_rc_e20142           = -20142 )

* ENCRYPTION PASSWORD special register not set
       integer*2   sql_rc_e20143
       parameter ( sql_rc_e20143           = -20143 )

* invalid length for encryption password
       integer*2   sql_rc_e20144
       parameter ( sql_rc_e20144           = -20144 )

* decryption key does not match encryption key
       integer*2   sql_rc_e20145
       parameter ( sql_rc_e20145           = -20145 )

* DECRYPT failed because data is not encrypted
       integer*2   sql_rc_e20146
       parameter ( sql_rc_e20146           = -20146 )

* ENCRYPT function failed
       integer*2   sql_rc_e20147
       parameter ( sql_rc_e20147           = -20147 )

* routine must end with RETURN statement
       integer*2   sql_rc_e20148
       parameter ( sql_rc_e20148           = -20148 )

* database split image is suspended
       integer*2   sql_rc_e20153
       parameter ( sql_rc_e20153           = -20153 )


* URL not found
       integer*2   sql_rc_e20200
       parameter ( sql_rc_e20200           = -20200 )

* jar name invalid
       integer*2   sql_rc_e20201
       parameter ( sql_rc_e20201           = -20201 )

* class is in use
       integer*2   sql_rc_e20202
       parameter ( sql_rc_e20202           = -20202 )

* Java method has invalid signature
       integer*2   sql_rc_e20203
       parameter ( sql_rc_e20203           = -20203 )

* function unable to map to single method
       integer*2   sql_rc_e20204
       parameter ( sql_rc_e20204           = -20204 )

* null value not allowed in argument
       integer*2   sql_rc_e20205
       parameter ( sql_rc_e20205           = -20205 )

* unsupported deployment descriptor
       integer*2   sql_rc_e20207
       parameter ( sql_rc_e20207           = -20207 )

* ORDER BY or FETCH FIRST n ROWS ONLY is invalid 
       integer*2   sql_rc_e20211
       parameter ( sql_rc_e20211           = -20211 )

* ORDER OF but table designator is not ordered
       integer*2   sql_rc_e20214
       parameter ( sql_rc_e20214           = -20214 )


* Text Information Extender incorrectly configured
       integer*2   sql_rc_e21000
       parameter ( sql_rc_e21000           = -21000 )


* Distribution protocol error, no disconnect
       integer*2   sql_rc_e30000
       parameter ( sql_rc_e30000           = -30000 )

* statement cannot be executed due to prior condition
       integer*2   sql_rc_e30002
       parameter ( sql_rc_e30002           = -30002 )

* Distribution protocol error, disconnect
       integer*2   sql_rc_e30020
       parameter ( sql_rc_e30020           = -30020 )

* Distribution compatibility error
       integer*2   sql_rc_e30021
       parameter ( sql_rc_e30021           = -30021 )

* Distribution memory allocation err
       integer*2   sql_rc_e30040
       parameter ( sql_rc_e30040           = -30040 )

* Distribution memory allocation err, disconnect
       integer*2   sql_rc_e30041
       parameter ( sql_rc_e30041           = -30041 )

* Invalid command while bind in prog
       integer*2   sql_rc_e30050
       parameter ( sql_rc_e30050           = -30050 )

* Bind not active
       integer*2   sql_rc_e30051
       parameter ( sql_rc_e30051           = -30051 )

* Bind Owner authorization failure
       integer*2   sql_rc_e30053
       parameter ( sql_rc_e30053           = -30053 )

* RDB authorization failure
       integer*2   sql_rc_e30060
       parameter ( sql_rc_e30060           = -30060 )

* RDB not found
       integer*2   sql_rc_e30061
       parameter ( sql_rc_e30061           = -30061 )

* Distribution command error
       integer*2   sql_rc_e30070
       parameter ( sql_rc_e30070           = -30070 )

* Distribution object error
       integer*2   sql_rc_e30071
       parameter ( sql_rc_e30071           = -30071 )

* Distribution parameter error
       integer*2   sql_rc_e30072
       parameter ( sql_rc_e30072           = -30072 )

* Distribution parameter value error
       integer*2   sql_rc_e30073
       parameter ( sql_rc_e30073           = -30073 )

* Distribution reply error
       integer*2   sql_rc_e30074
       parameter ( sql_rc_e30074           = -30074 )

* Communication error
       integer*2   sql_rc_e30080
       parameter ( sql_rc_e30080           = -30080 )

* Communication error
       integer*2   sql_rc_e30081
       parameter ( sql_rc_e30081           = -30081 )

* Security error
       integer*2   sql_rc_e30082
       parameter ( sql_rc_e30082           = -30082 )

* Attempt to change password failed
       integer*2   sql_rc_e30083
       parameter ( sql_rc_e30083           = -30083 )

* Remote operation invalid
       integer*2   sql_rc_e30090
       parameter ( sql_rc_e30090           = -30090 )


* Database Monitor SQLCODES

* bad path specified for event monitor
       integer*2   sqlm_rc_bad_path
       parameter ( sqlm_rc_bad_path        = -1612 )

* bad OPTION specified for event monitor
       integer*2   sqlm_rc_bad_option
       parameter ( sqlm_rc_bad_option      = -1613 )

* I/O error on activating event monitor
       integer*2   sqlm_rc_io_error
       parameter ( sqlm_rc_io_error        = -1614 )

* Event monitor not activated
       integer*2   sqlm_rc_not_activated
       parameter ( sqlm_rc_not_activated   = -1616 )

* Event monitor data files are full
       integer*2   sqlm_rc_evmon_full
       parameter ( sqlm_rc_evmon_full      = -1617 )

* Event monitor path is in use
       integer*2   sqlm_rc_path_in_use
       parameter ( sqlm_rc_path_in_use     = -1618 )

* Cannot drop active event monitor
       integer*2   sqlm_rc_cannot_drop
       parameter ( sqlm_rc_cannot_drop     = -1619 )

* Cannot flush event monitor
       integer*2   sqlm_rc_cannot_flush
       parameter ( sqlm_rc_cannot_flush    = -1620 )

* Must commit to use event monitor
       integer*2   sqlm_rc_must_commit
       parameter ( sqlm_rc_must_commit     = -1621 )

* Invalid state
       integer*2   sqlm_rc_bad_state
       parameter ( sqlm_rc_bad_state       = -1622 )


