-- This is a CLP script that issues DROP PROCEDURE statements
-- to uncatalog the stored procedures contained in spserver.c.

-- To run this script from the CLP, perform the following steps:
-- 1. connect to the database
-- 2. issue the command "db2 -td@ -vf <script-name>"
--    where <script-name> represents the name of this script

DROP PROCEDURE OUT_LANGUAGE (CHAR(8))@

DROP PROCEDURE OUT_PARAM (DOUBLE, INTEGER, CHAR(32))@

DROP PROCEDURE IN_PARAMS (DOUBLE, DOUBLE, DOUBLE, CHAR(3), INTEGER, CHAR(32))@

DROP PROCEDURE INOUT_PARAM (DOUBLE, INTEGER, CHAR(32))@

DROP PROCEDURE ONE_RESULT_SET (DOUBLE, INTEGER)@

DROP PROCEDURE TWO_RESULT_SETS (DOUBLE, INTEGER)@

DROP PROCEDURE CLOB_EXTRACT (CHAR(6), VARCHAR(1000), INTEGER)@

DROP PROCEDURE ALL_DATA_TYPES (SMALLINT, INTEGER, BIGINT, REAL, DOUBLE,
     CHAR(1), CHAR(15), VARCHAR(12), DATE, TIME, INTEGER, CHAR(32))@

DROP PROCEDURE DB2SQL_EXAMPLE (CHAR(8), DOUBLE)@

DROP PROCEDURE DBINFO_EXAMPLE (CHAR(8), DOUBLE, CHAR(128), CHAR(8), INTEGER)@

DROP PROCEDURE MAIN_EXAMPLE (CHAR(8), DOUBLE, INTEGER)@

