-- Begin file

 CREATE TABLE EMP (ENO INTEGER, LASTNAME VARCHAR(30),
                 HIREDATE DATE, SALARY INTEGER);
 
 
 INSERT INTO EMP 
 -- generate 100 records
 WITH DT(ENO) AS (VALUES(1) UNION ALL SELECT ENO+1 FROM DT WHERE ENO < 100 )
 
 -- Now, use the generated records in DT to create other columns
 -- of the employee record.
   SELECT ENO,
     TRANSLATE(CHAR(INTEGER(RAND()*1000000)),
               CASE MOD(ENO,4) WHEN 0 THEN 'aeiou' || 'bcdfg'
                               WHEN 1 THEN 'aeiou' || 'hjklm'
                               WHEN 2 THEN 'aeiou' || 'npqrs'
                                      ELSE 'aeiou' || 'twxyz' END,
                                           '1234567890') AS LASTNAME,
     CURRENT DATE - (RAND()*10957) DAYS AS HIREDATE,
     INTEGER(10000+RAND()*200000) AS SALARY
   FROM DT;
                                                      
 SELECT * FROM EMP;

 DROP TABLE EMP;

-- End file
